<%
/********************************************************************************/
/* Name			: serverlog.jsp													*/
/* Copyright	: 2003 SATCOMLABS LTD.											*/
/* Team			: Spam Control Team												*/
/* Developer	: Pavan Gupta													*/
/* Last Updated	: 																*/
/* Abstract		: Add new email address to AdminASL Table						*/
/* Called from	:																*/
/* Calls		:																*/
/********************************************************************************/
%>
<%@ page language="java" import ="java.util.Date,java.text.SimpleDateFormat" %>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<%@ taglib prefix="server" uri="/WEB-INF/TLDS/server.tld" %>
<%@ taglib prefix="utility" uri="/WEB-INF/TLDS/utility.tld" %>
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication" />
<%

int userid = validate.getUserid();
int adminid = validate.getAdminid();
if(userid==0 || adminid!=1)
{
	response.sendRedirect("dashboardlogin.jsp");
}
else
{
	int i = 0;
	String gridclass = "";
	String firsttime;
	int toprecord = 100;
	SimpleDateFormat dateformat = new SimpleDateFormat("dd/MM/yyyy");
	String datefrom = dateformat.format(new java.util.Date(new java.util.Date().getTime()- ((60*60*1000)*192)));
	String dateto = dateformat.format(new Date());
	datefrom = datefrom + " 00:00";
	dateto = dateto + " 23:59";
	String clicked = "";
	
	
	int NumRec = 10;
	int incomingminpage = 0;
	int incomingmin = 1;
	int incomingminimum = 1;

	int outgoingminpage = 0;
	int outgoingmin = 1;
	int outgoingminimum = 1;

	int aliasminpage = 0;
	int aliasmin = 1;
	int aliasminimum = 1;

	int keymailminpage = 0;
	int keymailmin = 1;
	int keymailminimum = 1;

	int sessionminpage = 0;
	int sessionmin = 1;
	int sessionminimum = 1;
	

	if(request.getParameter("hidincomingminpage") != null)
		incomingminpage = Integer.parseInt(request.getParameter("hidincomingminpage"));
	if(request.getParameter("hidincomingmin") != null)
		incomingmin = Integer.parseInt(request.getParameter("hidincomingmin"));
	if(request.getParameter("hidincomingminimum") != null && !request.getParameter("hidincomingminimum").equals("") )
			incomingminimum = Integer.parseInt(request.getParameter("hidincomingminimum"));

	if(request.getParameter("hidoutgoingminpage") != null)
		outgoingminpage = Integer.parseInt(request.getParameter("hidoutgoingminpage"));
	if(request.getParameter("hidoutgoingmin") != null)
		outgoingmin = Integer.parseInt(request.getParameter("hidoutgoingmin"));
	if(request.getParameter("hidoutgoingminimum") != null && !request.getParameter("hidoutgoingminimum").equals("") )
		outgoingminimum = Integer.parseInt(request.getParameter("hidoutgoingminimum"));
	if(request.getParameter("hidaliasminpage") != null)
		aliasminpage = Integer.parseInt(request.getParameter("hidaliasminpage"));
	if(request.getParameter("hidaliasmin") != null)
		aliasmin = Integer.parseInt(request.getParameter("hidaliasmin"));
	if(request.getParameter("hidaliasminimum") != null && !request.getParameter("hidaliasminimum").equals("") )
		aliasminimum = Integer.parseInt(request.getParameter("hidaliasminimum"));
	if(request.getParameter("hidkeymailminpage") != null)
		keymailminpage = Integer.parseInt(request.getParameter("hidkeymailminpage"));
	if(request.getParameter("hidkeymailmin") != null)
		keymailmin = Integer.parseInt(request.getParameter("hidkeymailmin"));
	if(request.getParameter("hidkeymailminimum") != null && !request.getParameter("hidkeymailminimum").equals("") )
		keymailminimum = Integer.parseInt(request.getParameter("hidkeymailminimum"));
	if(request.getParameter("hidsessionminpage") != null)
		sessionminpage = Integer.parseInt(request.getParameter("hidsessionminpage"));
	if(request.getParameter("hidsessionmin") != null)
		sessionmin = Integer.parseInt(request.getParameter("hidsessionmin"));
	if(request.getParameter("hidsessionminimum") != null && !request.getParameter("hidsessionminimum").equals("") )
		sessionminimum = Integer.parseInt(request.getParameter("hidsessionminimum"));


	String logtype = "all";
	if(request.getParameter("rdolog") != null)
		logtype = request.getParameter("rdolog");
	if(logtype.equals("all"))
	{
		if(request.getParameter("txtDatefrom") != null)
			datefrom = request.getParameter("txtDatefrom");
		if(request.getParameter("txtDateTo") != null)
			dateto = request.getParameter("txtDateTo");
		if(request.getParameter("txtNumRec")!=null)
		{
			NumRec = Integer.parseInt(request.getParameter("txtNumRec"));
		}
	}
	else if(logtype.equals("session"))
	{	
		if(request.getParameter("stxtDatefrom") != null)
			datefrom = request.getParameter("stxtDatefrom");
		if(request.getParameter("stxtDateTo") != null)
			dateto = request.getParameter("stxtDateTo");
		if(request.getParameter("txtNumRec")!=null)
		{
			NumRec = Integer.parseInt(request.getParameter("txtNumRec"));
		}
	}

	String from_address = "*";
	if(request.getParameter("txtFrom") != null)
		from_address = request.getParameter("txtFrom");
	String to_address = "*";
	if(request.getParameter("txtTo") != null)
		to_address = request.getParameter("txtTo");

	String email_id = "*";
	if(request.getParameter("email") != null)
		email_id = request.getParameter("email");

	String semail_id = "*";
	if(request.getParameter("semail") != null)
		semail_id = request.getParameter("semail");

	String clientip_address = "";
	if(request.getParameter("SIP") != null)
		clientip_address = request.getParameter("SIP");

	String flag = "false";
	if(request.getParameter("flag") != null)
		flag = request.getParameter("flag");

	try
	{
		if(request.getParameter("txtlimit") != null && !request.getParameter("txtlimit").trim().equals(""))
			toprecord = Integer.parseInt(request.getParameter("txtlimit"));
	}
	catch(Exception e)
	{
		toprecord = 100;
	}

	String ordersession = "desc";
	String columnsession = "emailid";
	String orderin = "desc";
	String columnnamein = "date_recv";
	String orderout = "desc";
	String columnnameout = "date_entry";
	String orderalias = "desc";
	String columnnamealias = "date_rc";
	String orderkeymail = "desc";
	String columnnamekeymail = "date_rc";

	if(request.getParameter("hidordersession") != null)
		ordersession = request.getParameter("hidordersession");
	if(request.getParameter("hidcolumnsession") != null)
		columnsession = request.getParameter("hidcolumnsession");

	if(request.getParameter("hidorderin") != null)
		orderin = request.getParameter("hidorderin");
	if(request.getParameter("hidcolumnin") != null)
		columnnamein = request.getParameter("hidcolumnin");

	if(request.getParameter("hidorderout") != null)
		orderout = request.getParameter("hidorderout");
	if(request.getParameter("hidcolumnout") != null)
		columnnameout = request.getParameter("hidcolumnout");

	if(request.getParameter("hidorderalias") != null)
		orderalias = request.getParameter("hidorderalias");
	if(request.getParameter("hidcolumnalias") != null)
		columnnamealias = request.getParameter("hidcolumnalias");

	if(request.getParameter("hidorderkeymail") != null)
		orderkeymail = request.getParameter("hidorderkeymail");
	if(request.getParameter("hidcolumnkeymail") != null)
		columnnamekeymail = request.getParameter("hidcolumnkeymail");
	if(request.getParameter("hidclicked") != null)
		clicked = request.getParameter("hidclicked");
%>
<HTML>
	<HEAD>
		<TITLE>Search Log</TITLE>
		<LINK href="stylesheets/display_control.css" type=text/css rel=stylesheet>
	</HEAD>
	<SCRIPT src="scripts/date-picker.js"></SCRIPT>
	<SCRIPT language=javascript id=valIp src="scripts/ValidationScript.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/validate.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/WebUIValidation.js"></SCRIPT>
	<SCRIPT language=javascript id=valIp src="scripts/IPVal.js"></SCRIPT>
	<SCRIPT language=javascript id=valIp src="scripts/validations.js"></SCRIPT>
	<SCRIPT language=javascript id=valIp src="scripts/checkdate.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/myscript.js"></SCRIPT>

	<SCRIPT language=javascript>
		// FUNCTION FOR SUBMIT THE FORM TO SEARCH ALL LOGS
		function submitAll()
		{
			


			fromdt = document.frmServerLogSearch.txtDatefrom.value;
			todt = document.frmServerLogSearch.txtDateTo.value;
			var temp = new Array();
			temp = fromdt.split('/');
		
			fromdate = new Date(temp[1]+"/"+temp[0]+"/"+temp[2]);

			temp = todt.split('/');			
			todate = new Date(temp[1]+"/"+temp[0]+"/"+temp[2]);			

			if(document.frmServerLogSearch.txtFrom.value == "")
			{
				alert("Please Enter From Email Address");
				document.frmServerLogSearch.txtFrom.focus();
				return false;
			}
			// check spacial characters for From Email Address
			else if(chkEmail(document.frmServerLogSearch.txtFrom.value) == "false") 
			{
				alert("From Email address doesn't seem to be valid.");
				document.frmServerLogSearch.txtFrom.focus();
				return false;
			}
			else if(document.frmServerLogSearch.txtTo.value == "")
			{
				alert("Please Enter To Email Address");
				document.frmServerLogSearch.txtTo.focus();
				return false;
			}
			// check spacial characters for To Email Address
			else if(chkEmail(document.frmServerLogSearch.txtTo.value) == "false")
			{
				alert("To Email address doesn't seem to be valid.");
				document.frmServerLogSearch.txtTo.focus();
				return false;
			}
			/*else if(ValidateForm(afterdate)==false)
			{
				document.frmServerLogSearch.txtDatefrom.focus();
				
			}*/

			else if(Date.parse(fromdate) > Date.parse(todate))
			{
				alert ("After date must be less than or equal to Before date");
				return false;
			}

			else if(document.frmServerLogSearch.email.value == "")
			{
				alert("Please Enter Email ID");
				document.frmServerLogSearch.email.focus();
				return false;
			}
			// check spacial characters for Email ID
			/*else if(chkEmail(document.frmServerLogSearch.email.value) == "false")
			{
				alert("Email Id doesn't seem to be valid.");
				document.frmServerLogSearch.email.focus();
				return false;
			}*/
			else if(spcharvalidate(document.frmServerLogSearch.email.value,"*@._")==true)
			{
				alert("Speacial character found");
				document.frmServerLogSearch.email.focus();
			}
			else if(document.frmServerLogSearch.txtNumRec.value=="")
			{
				alert("Enter Number of Records Per Page");
				document.frmServerLogSearch.txtNumRec.focus();
			}
			else if(isNaN(document.frmServerLogSearch.txtNumRec.value))
			{
				alert("Enter Valid Number of Records Per Page");
				document.frmServerLogSearch.txtNumRec.focus();
			}
			/*else if(isNaN(document.frmServerLogSearch.txtlimit.value) == true)
			{
				alert("Please Insert Only Interger Value in Top");
				document.frmServerLogSearch.txtlimit.focus();
			}*/
			
			else
			{
				document.frmServerLogSearch.action="serverlog.jsp?firsttime=no";
				document.frmServerLogSearch.flag.value = "true";
				document.frmServerLogSearch.submit();
			}
		}

		// FUNCTION FOR SUBMIT THE FORM TO SEARCH SESSION LOG
		function submitSession()
		{
			afterdt = document.frmServerLogSearch.stxtDatefrom.value;
			beforedt = document.frmServerLogSearch.stxtDateTo.value;

			afterdate = new Date(afterdt);
			beforedate = new Date(beforedt);
			
			if(document.frmServerLogSearch.semail.value == "")
			{
				alert("Please Enter Email ID");
				document.frmServerLogSearch.semail.focus();
				return false;
			}
			// check spacial characters for Email ID
			/*if(chkEmail(document.frmServerLogSearch.semail.value) == "false")
			{
				alert("Email Id doesn't seem to be valid.");
				document.frmServerLogSearch.semail.focus();
				return false;
			}*/
			else if(spcharvalidate(document.frmServerLogSearch.semail.value,"*@._")==true)
			{
				alert("Speacial character found");
				document.frmServerLogSearch.semail.focus();
			}
			else if(afterdate > beforedate)
			{
				alert ("After date must be less than or equal to Before date");
				return false;
			}
			else if(document.frmServerLogSearch.txtNumRec.value=="")
			{
				alert("Enter Number of Records Per Page");
				document.frmServerLogSearch.txtNumRec.focus();
			}
			else if(isNaN(document.frmServerLogSearch.txtNumRec.value))
			{
				alert("Enter Valid Number of Records Per Page");
				document.frmServerLogSearch.txtNumRec.focus();
			}
			/*else if(isNaN(document.frmServerLogSearch.txtlimit.value) == true)
			{
				alert("Please Insert Only Interger Value in Top");
				document.frmServerLogSearch.txtlimit.focus();
			}*/

			// check valid IP Address
			else if(document.frmServerLogSearch.SIP.value !="")
			{
				if (CheckIP(document.frmServerLogSearch.SIP.value)==false)
				{
					alert (document.frmServerLogSearch.SIP.value+" is not a valid IP address");
					document.frmServerLogSearch.SIP.focus();
					return false;
				}
				else 
				{
					document.frmServerLogSearch.flag.value = "true";
					document.frmServerLogSearch.submit();
				}
			}

			else
			{
				document.frmServerLogSearch.action="serverlog.jsp?firsttime=no";
				document.frmServerLogSearch.flag.value = "true";
				document.frmServerLogSearch.submit();
			}
		}

		function submitForm()
		{
			document.frmServerLogSearch.flag.value = "false";
			action = "serverlog.jsp?firsttime=no";
			document.frmServerLogSearch.submit();
		}

		function load()
		{
			logtype = '<%=logtype%>';
			if(logtype == "all")
			{
				document.frmServerLogSearch.txtFrom.focus();
				document.frmServerLogSearch.rdolog[0].checked = true;
			}
			else if(logtype == "session")
			{
				document.frmServerLogSearch.semail.focus();
				document.frmServerLogSearch.rdolog[1].checked = true;
			}
		}
		

		//FUNCTION TO SORT SESSION LOG
		function sortSession(order,column)
		{
			document.frmServerLogSearch.hidcolumnsession.value=column;
			document.frmServerLogSearch.hidordersession.value=order;
			document.frmServerLogSearch.action="serverlog.jsp?firsttime=no";
			document.frmServerLogSearch.submit();
		}

		//FUNCTION TO SORT INCOMING LOG
		function sortIncoming(order,column)
		{
			document.frmServerLogSearch.hidcolumnin.value=column;
			document.frmServerLogSearch.hidorderin.value=order;
			document.frmServerLogSearch.action="serverlog.jsp?firsttime=no";
			document.frmServerLogSearch.submit();
		}

		//FUNCTION TO SORT OUTGOING LOG
		function sortOutgoing(order,column)
		{
			document.frmServerLogSearch.hidcolumnout.value=column;
			document.frmServerLogSearch.hidorderout.value=order;
			document.frmServerLogSearch.action="serverlog.jsp?firsttime=no";
			document.frmServerLogSearch.submit();
		}

		//FUNCTION TO SORT ALIAS LOG
		function sortAlias(order,column)
		{
			document.frmServerLogSearch.hidcolumnalias.value=column;
			document.frmServerLogSearch.hidorderalias.value=order;
			document.frmServerLogSearch.action="serverlog.jsp?firsttime=no";
			document.frmServerLogSearch.submit();
		}

		//FUNCTION TO SORT KEYMAIL LOG
		function sortKeymail(order,column)
		{
			document.frmServerLogSearch.hidcolumnkeymail.value=column;
			document.frmServerLogSearch.hidorderkeymail.value=order;
			document.frmServerLogSearch.action="serverlog.jsp?firsttime=no";
			document.frmServerLogSearch.submit();
		}

		//FUNCTION TO SHOW NEXT 10 PAGES
		function changePage(pageno,min,pagingtype)
		{
			//alert("Min :"+min);
			if(pagingtype == "incoming")
			{
				document.frmServerLogSearch.hidincomingminpage.value=pageno;
				document.frmServerLogSearch.hidincomingmin.value=min;
				document.frmServerLogSearch.hidincomingminimum.value=min;
			}
			else if(pagingtype == "outgoing")
			{
				document.frmServerLogSearch.hidoutgoingminpage.value=pageno;
				document.frmServerLogSearch.hidoutgoingmin.value=min;
				document.frmServerLogSearch.hidoutgoingminimum.value=min;
			}
			else if(pagingtype == "alias")
			{
				document.frmServerLogSearch.hidaliasminpage.value=pageno;
				document.frmServerLogSearch.hidaliasmin.value=min;
				document.frmServerLogSearch.hidaliasminimum.value=min;
			}
			else if(pagingtype == "keymail")
			{
				document.frmServerLogSearch.hidkeymailminpage.value=pageno;
				document.frmServerLogSearch.hidkeymailmin.value=min;
				document.frmServerLogSearch.hidkeymailminimum.value=min;
			}
			else if(pagingtype == "sessions")
			{
				document.frmServerLogSearch.hidsessionminpage.value=pageno;
				document.frmServerLogSearch.hidsessionmin.value=min;
				document.frmServerLogSearch.hidsessionminimum.value=min;
			}

				document.frmServerLogSearch.action="serverlog.jsp?firsttime=no";
				document.frmServerLogSearch.submit();
		}

		//FUNCTION TO SHOW NEXT PAGE
		function Page(min,max,pagingtype)
		{
			if(pagingtype == "incoming")
			{
				document.frmServerLogSearch.hidincomingminimum.value=min;
				document.frmServerLogSearch.hidclicked.value=pagingtype;
			}
			else if(pagingtype == "outgoing")
			{
				document.frmServerLogSearch.hidoutgoingminimum.value=min;
				document.frmServerLogSearch.hidclicked.value=pagingtype;
			}
			else if(pagingtype == "alias")
			{
				document.frmServerLogSearch.hidaliasminimum.value=min;
				document.frmServerLogSearch.hidclicked.value=pagingtype;
			}
			else if(pagingtype == "keymail")
			{
				document.frmServerLogSearch.hidkeymailminimum.value=min;
				document.frmServerLogSearch.hidclicked.value=pagingtype;
			}
			else if(pagingtype == "sessions")
			{
				document.frmServerLogSearch.hidsessionminimum.value=min;
				document.frmServerLogSearch.hidclicked.value=pagingtype;
			}
				document.frmServerLogSearch.action="serverlog.jsp?firsttime=no";
				document.frmServerLogSearch.submit();
			
		}
		

		function submitLog()
		{
			var submittype = '<%=logtype%>';

			if (submittype == "all")
				submitAll();
			else if (submittype == "session")
				submitSession();
		}
		
	</SCRIPT>
	<BODY onload="load()">
		<FORM name=frmServerLogSearch  action=serverlog.jsp method=post>
			<INPUT type="hidden" class=textinpt name=flag value="<%=flag%>">
			<INPUT type="hidden" class=textinpt name=test value="<%=logtype%>">

			<INPUT type=hidden name=hidcolumnsession value="<%=columnsession%>">
			<INPUT type=hidden name=hidordersession value="<%=ordersession%>">
			<INPUT type=hidden name=hidcolumnin value="<%=columnnamein%>">
			<INPUT type=hidden name=hidorderin value="<%=orderin%>">
			<INPUT type=hidden name=hidcolumnout value="<%=columnnameout%>">
			<INPUT type=hidden name=hidorderout value="<%=orderout%>">
			<INPUT type=hidden name=hidcolumnalias value="<%=columnnamealias%>">
			<INPUT type=hidden name=hidorderalias value="<%=orderalias%>">
			<INPUT type=hidden name=hidcolumnkeymail value="<%=columnnamekeymail%>">
			<INPUT type=hidden name=hidorderkeymail value="<%=orderkeymail%>">

			<INPUT type="hidden" name="hidincomingminpage" value="<%=incomingminpage%>">
			<INPUT type="hidden" name="hidincomingmin" value="<%=incomingmin%>">
			<INPUT type="hidden" name="hidincomingminimum" value="<%=incomingminimum%>">
			<INPUT type="hidden" name="hidclicked" value="<%=clicked%>">

			<INPUT type="hidden" name="hidoutgoingminpage" value="<%=outgoingminpage%>">
			<INPUT type="hidden" name="hidoutgoingmin" value="<%=outgoingmin%>">
			<INPUT type="hidden" name="hidoutgoingminimum" value="<%=outgoingminimum%>">

			<INPUT type="hidden" name="hidaliasminpage" value="<%=aliasminpage%>">
			<INPUT type="hidden" name="hidaliasmin" value="<%=aliasmin%>">
			<INPUT type="hidden" name="hidaliasminimum" value="<%=aliasminimum%>">

			<INPUT type="hidden" name="hidkeymailminpage" value="<%=keymailminpage%>">
			<INPUT type="hidden" name="hidkeymailmin" value="<%=keymailmin%>">
			<INPUT type="hidden" name="hidkeymailminimum" value="<%=keymailminimum%>">

			<INPUT type="hidden" name="hidsessionminpage" value="<%=sessionminpage%>">
			<INPUT type="hidden" name="hidsessionmin" value="<%=sessionmin%>">
			<INPUT type="hidden" name="hidsessionminimum" value="<%=sessionminimum%>">
			<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
				<TBODY>
					<TR>
						<TD colSpan=2><!--for the header Image-->
							<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
								<TBODY>
									<TR>
										<TD bgColor=#cecece>
											<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
												<TBODY>
													<TR>
														<TD vAlign=top align=left width="52%"><IMG  src="images/img.gif" vspace=5 width="437" height="37"></TD>
														<TD vAlign=top align=right width="48%"><IMG src="images/topbar-right.gif" width="229" height="48"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD bgColor=#000000><IMG height=1 src="Add to Whitelist_files/1x1.gif" width=1></TD>
									</TR>
									<TR>
										<TD vAlign=bottom align=left bgColor=#007ccd height=37>
											<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
												<TBODY>
													<TR>
													<% if (adminid == 1) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
									<TR>
										<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
											<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><a href=usermain.jsp>User</a></TD>
											<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
										</TR>
									</TBODY>
								</TABLE>
										</DIV>
										</TD>
										<TD width="33%">
										<DIV class=header id=TopBanner_DomainPanel>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
														<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><a href=domainmain.jsp>Domain</a></TD>
														<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</DIV>
									</TD>
										<TD width="34%">
										<DIV class=header_active id=TopBanner_ServerPanel>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
													<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
													<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><a href=servermain.jsp>Server</a></TD>
													<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
												</TR>
											</TBODY>
										</TABLE>
									</DIV>
								</TD>
										<TD width="34%"></TD>
													<% } %>
											<TR>
												<TD colSpan=3>
												<TABLE cellSpacing=0 cellPadding=2 width="100%" border=0>
													<TBODY>
													<TR class=blanktd>
													<spam:UserInfo userid="<%= userid %>">
													<TD width="90%">Logged in as: <%= username %>@<%=domainname%> on Server: <%=request.getServerName()%></TD>
													</spam:UserInfo>
													<TD align=right width="10%"><A class=gridrowlink href=javascript:onclick=openHelp('help/ServerLogSearchHelp.htm') style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A></TD>
																	</TR>
																	<TR>
																	<TD bgColor=#330099 colSpan=2>
																	</TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
					<TR>
						<TD class=navbg><!--For the menu--><!--Menu for Server Admin-->
							<server:servermenu showCurrPage="10" />    
						</TD>
						<TD vAlign=top>
							<TABLE cellSpacing=2 cellPadding=0 width="100%" border=0>
								<TBODY>
									<TR class=2nd_grid_head>
										<TD colSpan=2>Search All Log Entries that Match</TD>
									</TR>
									<TR>
										<TD colSpan=2>
											<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
												<TBODY>
													<TR class=general_tr>
														<TD colSpan=2>
															<% if (logtype.equals("all")) { %>
																<SPAN style="FONT-WEIGHT: bold">
																	<INPUT language=javascript type=radio CHECKED value=all name=rdolog onclick="submitForm()"><LABEL for=radlogall>All Logs</LABEL>
																</SPAN>&nbsp;&nbsp;
																	<INPUT language=javascript type=radio value=session name=rdolog onclick="submitForm()"><LABEL for=radlogSession>Session Logs</LABEL>
															<% } else if (logtype.equals("session")) { %>
																	<INPUT language=javascript type=radio CHECKED value=all name=rdolog onclick="submitForm()"><LABEL for=radlogall>All Logs</LABEL>&nbsp;&nbsp;
																<SPAN style="FONT-WEIGHT: bold">
																	<INPUT language=javascript type=radio value=session name=rdolog onclick="submitForm()"><LABEL for=radlogSession>Session Logs</LABEL>
																</SPAN>
															<% } %>
														</TD>
													</TR>
<!-- VIEW ALL LOGS -->
													<TR class=general_tr id=pnlAllLogs>
														<TD>
															<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
																<TR class=general_tr>
																	<TD width="25%">From Email Address: </TD>
																	<TD> <INPUT class=textinpt id=txtFrom style="WIDTH: 225px" name=txtFrom size="20" value="<%=from_address%>"></TD>
																</TR>
																<TR class=general_tr>
																	<TD width="25%">To Email Address: </TD>
																	<TD> <INPUT class=textinpt id=txtTo style="WIDTH: 225px" name=txtTo size="20" value="<%=to_address%>"></TD>
																</TR>
<!--																<TR class=general_tr>
																	<TD vAlign=top noWrap width="25%">On or After: </TD>
																	<TD> 
																		<INPUT class=textinpt maxLength=10 name=txtDatefrom size=10 value="<%=datefrom%>" readonly> <A href="javascript:show_calendar('frmServerLogSearch.txtDatefrom',101);">
																		<IMG align=middle alt="Click to Input Date" border=0 src="images/calendar.gif" width="16" height="14"></A> <FONT size=1>[DD/MM/YYYY]</FONT>
																	</TD>
																</TR>
																<TR class=general_tr>
																	<TD vAlign=top width="25%">On or Before: </TD>
																	<TD> 
																		<INPUT class=textinpt maxLength=10 name=txtDateTo size=10 value="<%=dateto%>" readonly> <A href="javascript:show_calendar('frmServerLogSearch.txtDateTo',101);">
																		<IMG align=middle alt="Click to Input Date" border=0 src="images/calendar.gif" width="16" height="14"></A> <FONT size=1>[DD/MM/YYYY]</FONT>
																	</TD>
																</TR>
-->
															<TR class=general_tr>
																<TD noWrap vAlign=top>On or After: </TD>
																<TD>
																<INPUT class=textInpt id=txtDatefrom name=txtDatefrom style="WIDTH: 110px" value="<%=datefrom%>" size="20">&nbsp; <!--
																<A href="javascript:show_calendar('frmlog.txtDatefrom',101);">
																<IMG align=middle alt="Click to Input Date" border=0 src="images/calendar.gif" width="16" height="14"></A>-->
																<FONT size=1>&nbsp;[DD/MM/YYYY HH:MM:SS]</FONT> 
																</TD>
															</TR>
															<TR class=general_tr>
																<TD vAlign=top>On or Before: </TD>
																<TD>
																<INPUT class=textInpt id=txtDateTo name=txtDateTo style="WIDTH: 110px" value="<%=dateto%>" size="20">&nbsp; 
																<!--<A href="javascript:show_calendar('frmlog.txtDateTo',101);">
																<IMG align=middle alt="Click to Input Date" border=0 src="images/calendar.gif" width="16" height="14"></A>-->
																<FONT size=1>&nbsp;[DD/MM/YYYY HH:MM:SS]</FONT></TD></TR>
																<TR class=general_TR>
																<TD></TD>
																<TD></TD>
															</TR>
															<TR class=general_TR>
																<TD>Top:</TD>
																<TD><INPUT class=textinpt id=Email name=txtlimit style="WIDTH: 50px" size="10" value="<%=toprecord%>"></TD>
															</TR>
															<TR class=general_TR>
																<TD width="25%">Email Id: </TD>
																<TD> <INPUT class=textinpt id=email style="WIDTH: 225px" name=email size="20" value="<%=email_id%>"></TD>
																</TR>
															<TR class=general_TR>
																<TD>Number of Results:</TD>
																<TD><INPUT class=textInpt id=Email name=txtNumRec style="WIDTH: 50px" size="25" value="<%=NumRec%>"></TD>
															</TR>
															</TABLE>
														</TD>
													</TR>
			 
<!-- VIEW SESSION LOGS -->
													<TR class=general_tr id=pnlSessionLogs>
														<TD>
															<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
																<TR class=general_tr>
																<TD width="25%">Email Id:</TD>
																<TD><input name="semail" type="text" class="textinpt" style="width:225px;" size="20" value="<%=semail_id%>"></TD>
															</TR>
															<TR class="general_TR">
																<TD width="25%">Client's IP:</TD>
																<TD><input name="SIP" type="text" class="textinpt" style="width:110px;" size="20" value="<%=clientip_address%>"></TD>
																</TR>
																<TR class="general_TR">
																<TD colSpan="2">Start Date:</TD>
																</TR>
																<TR class="general_TR">
																<TD vAlign=top noWrap width="25%">&nbsp;&nbsp;On or After: </TD>
																<TD> <INPUT class=textInpt style="WIDTH: 110px" name=stxtDatefrom size="20" value="<%=datefrom%>"><FONT size=1> &nbsp;[DD/MM/YYYY HH:MM:SS]</FONT></TD>
																</TR>
																<TR class="general_TR">
																<TD vAlign=top width="25%">&nbsp;&nbsp;On or Before: </TD>
																<TD> <INPUT class=textInpt style="WIDTH: 110px" name=stxtDateTo size="20" value="<%=dateto%>"><FONT size=1>&nbsp;[DD/MM/YYYY HH:MM:SS]</FONT></TD>
																</TR>
															<TR class=general_TR>
																<TD>Top:</TD>
																<TD><INPUT class=textinpt id=Email name=txtlimit style="WIDTH: 50px" size="10" value="<%=toprecord%>"></TD>
															</TR>
															<TR class="general_TR">
																<TD width="25%"></TD>
																<TD></TD>
																</TR>
															</TABLE>
														</TD>
													</TR>
													<TR class=general_TR>
														<TD>
														<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
															<TR class=general_tr>
																<TD width="25%"></TD>
																<TD vAlign=top><INPUT language=javascript class=btn type=submit value=Search name=btnSubmit onclick="submitLog(); return false"> <A class=gridrowlink href=javascript:onclick=openHelp('help/SearchHelp.htm') style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A>
															</TR>
														</TABLE>
													</TD>
												</TR>

													<TR>
													<TD bgColor="black" colSpan="2"></TD>
													</TR>
													<TR id = pnlAllRes>
														<TD>
															<TABLE cellSpacing="0" cellPadding="0" width="100%" align="center" border="0">
																<TR>
																	<TD colSpan='2'>&nbsp;</TD>
																</TR>
																<%
																if((request.getParameter("firsttime") != null)&& request.getParameter("firsttime").equals("no"))
																{
																%>
																	
																<TR>
																	<TD class='2nd_grid_head' colSpan='2'>Search Results</TD>
																</TR>
																<TR>
																	<TD colSpan='2'>&nbsp;</TD>
																</TR>
																<tr>
																	<td colSpan="2">
																		<table id="incoming"cellSpacing="0" cellPadding="0" width="100%" align="center" border="0">
																		<tr class="1stgrid_head-incoming">
																		<td>Incoming Emails Log</td>
																		</tr>
																			<tr>
																				<td>
																		<table cellspacing="0" cellpadding="0" rules="cols" border="1" id="dgIncoming" style="width:100%;border-collapse:collapse">
																		<tr class="2nd_griditem_head-incoming" style="font-weight:bold;">
																		<td nowrap="nowrap" style="width:20%"; >
																		<% if ((columnnamein.equals("emailid")) && (orderin.equals("desc"))) { %>
																		<a href="javascript:onclick=sortIncoming('asc','emailid')">Email Id <img src='images/sort_down_on.gif' border='0' ></img></a>
																		<% } else if ((columnnamein.equals("emailid")) && (orderin.equals("asc"))) { %>
																		<a href="javascript:onclick=sortIncoming('desc','emailid')">Email Id <img src='images/sort_up_on.gif' border='0' ></img></a>
																		<% } else {%>
																		<a href="javascript:onclick=sortIncoming('desc','emailid')">Email Id</a>
																	<% } %>
																		</td>
																		<td nowrap="nowrap" style="width:20%"; >
																		<% if ((columnnamein.equals("date_recv")) && (orderin.equals("desc"))) { %>
																		<a href="javascript:onclick=sortIncoming('asc','date_recv')">Received <img src='images/sort_down_on.gif' border='0' ></img></a>
																		<% } else if ((columnnamein.equals("date_recv")) && (orderin.equals("asc"))) { %>
																		<a href="javascript:onclick=sortIncoming('desc','date_recv')">Received <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortIncoming('desc','date_recv')">Received</a>
																	<% } %>
																	</td>
																	<td nowrap="nowrap" style="width:20%"; >
																		<% if ((columnnamein.equals("client_ip")) && (orderin.equals("desc"))) { %>	
																		<a href="javascript:onclick=sortIncoming('asc','client_ip')">Client's IP<img src='images/sort_down_on.gif' border='0' ></img></a>
																		<% } else  if ((columnnamein.equals("client_ip")) && (orderin.equals("asc"))){ %>
																		<a href="javascript:onclick=sortIncoming('desc','client_ip')">Client's IP<img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortIncoming('desc','client_ip')">Client's IP</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																		<% if ((columnnamein.equals("e_from")) && (orderin.equals("desc"))) { %>
																		<a href="javascript:onclick=sortIncoming('asc','e_from')">From<img src='images/sort_down_on.gif' border='0' ></img></a>
																		<% } else if ((columnnamein.equals("e_from")) && (orderin.equals("asc"))) {	%>
																		<a href="javascript:onclick=sortIncoming('desc','e_from')">From<img src='images/sort_up_on.gif' border='0' ></img></a>
																		<% } else {%>
																		<a href="javascript:onclick=sortIncoming('desc','e_from')">From</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																		<% if ((columnnamein.equals("e_toaddr")) && (orderin.equals("desc"))) { %>
																		<a href="javascript:onclick=sortIncoming('asc','e_toaddr')">To<img src='images/sort_down_on.gif' border='0' ></img></a>
																		<% } else if ((columnnamein.equals("e_toaddr")) && (orderin.equals("asc"))){	%>
																		<a href="javascript:onclick=sortIncoming('desc','e_toaddr')">To<img src='images/sort_up_on.gif' border='0' ></img></a>
																		<% } else {%>
																		<a href="javascript:onclick=sortIncoming('desc','e_toaddr')">To</a>
																		<% } %>
																		</td>
																		<td nowrap="nowrap" style="width:20%"; >	
																		<% if ((columnnamein.equals("e_status")) && (orderin.equals("desc"))) { %>
																		<a href="javascript:onclick=sortIncoming('asc','e_status')">Status<img src='images/sort_down_on.gif' border='0' ></img></a>
																		<% } else if ((columnnamein.equals("e_status")) && (orderin.equals("asc"))){ %>
																		<a href="javascript:onclick=sortIncoming('desc','e_status')">Status<img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortIncoming('desc','e_status')">Status</a>
																	<% } %>
																		</td>
																		<td nowrap="nowrap" style="width:20%"; >
																		<% if ((columnnamein.equals("errormsg")) && (orderin.equals("desc"))) { %>	
																		<a href="javascript:onclick=sortIncoming('asc','errormsg')">Error<img src='images/sort_down_on.gif' border='0' ></img></a>
																		<% } else if ((columnnamein.equals("errormsg")) && (orderin.equals("asc"))) {	%>
																		<a href="javascript:onclick=sortIncoming('desc','errormsg')">Error<img src='images/sort_up_on.gif' border='0' ></img></a>
						                                      <% } else {%>
																		<a href="javascript:onclick=sortIncoming('desc','errormsg')">Error</a>
																<% } %>
															</td>
														</tr>
																		<server:incominglog minimum="<%=incomingminimum%>" txtfrom="<%=from_address%>" txtto="<%=to_address%>" txtemail="<%=email_id%>" txtDatefrom="<%=datefrom%>" txtDateTo="<%=dateto%>" column="<%=columnnamein%>" order="<%=orderin%>" tabtype="server"
																		txtNumRec="<%=NumRec%>"
																		recordlimit="<%=toprecord%>">  
<%
																		if(EmailID.equals("0"))
																			{}
																			else
																			{
																			i++;
																			if (i%2 != 0)
																				gridclass = "gridrow2";
																			else
																				gridclass = "gridrow1-incoming";
%>
																		<tr class ="<%=gridclass%>">
																			<td><%=EmailID%></td>
																			<td><%=Date_Recv%></td>
																			<td><%=Client_IP%></td>
																			<td><%=e_from%></td>
																			<td><%=e_toaddr%></td>
																			<td><%=e_status%></td>
																			<td><%=ErrorMsg%></td>
																		</tr>
<%
																		}	
%>
																		</server:incominglog>
			<%
			i = 0;
			int incomingrecords = Expr1.intValue();
%>
																		<tr class='footer' align='Right' style='font-weight:bold;'>
																		<td colspan='7' >
																		<utility:paging totalrecords="<%=incomingrecords%>" 
																		minpage="<%=incomingminpage%>"
																		minimum="<%=incomingminimum%>"
																		min="<%=incomingmin%>"
																		pagingtype="incoming"
																		clicked ="<%=clicked%>"
																		txtNumRec="<%=NumRec%>"/>
																	</td>
																</tr>
															</TABLE>
														</TD>
													</TR>
												</TABLE>
											</TD>
										</TR>
										<TR>
																	<TD colSpan='2'>&nbsp;</TD>
																	</TR>
																	<tr>
																	<td colSpan="2">
																	<table id="outgoing" cellSpacing="0" cellPadding="0" width="100%" align="center">
																	<tr class="1stgrid_head-outgoing">
																	<td>Outgoing Emails Log</td>
																	</tr>
																<tr>
																	<td>
																	<table cellspacing="0" cellpadding="0" rules="cols" border="1" id="dgOutgoing" style="width:100%;border-collapse:collapse;">
																	<tr class="2nd_griditem_head-outgoing" style="font-weight:bold;">
																	<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnameout.equals("emailid")) && (orderout.equals("desc"))) { %>
																	<a href="javascript:onclick=sortOutgoing('asc','emailid')">Email Id <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<% } else if ((columnnameout.equals("emailid")) && (orderout.equals("asc"))) { %>
																	<a href="javascript:onclick=sortOutgoing('desc','emailid')">Email Id <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortOutgoing('desc','emailid')">Email Id</a>
																	<% } %>
																	</td>
																		<td nowrap="nowrap" style="width:20%"; >
																			<% if ((columnnameout.equals("date_entry")) && (orderout.equals("desc"))) { %>
																			<a href="javascript:onclick=sortOutgoing('asc','date_entry')">Date Entry <img src='images/sort_down_on.gif' border='0' ></img></a>
																			<% }else if ((columnnameout.equals("date_entry")) && (orderout.equals("asc"))){%>
																			<a href="javascript:onclick=sortOutgoing('desc','date_entry')">Date Entry <img src='images/sort_up_on.gif' border='0' ></img></a>
																			<% } else {%>
																			<a href="javascript:onclick=sortOutgoing('desc','date_entry')">Date Entry</a>
																			<% } %>
																			</td>
																			<td nowrap="nowrap" style="width:20%"; >
																			<% if ((columnnameout.equals("e_from")) && (orderout.equals("desc"))) { %>
																			<a href="javascript:onclick=sortOutgoing('asc','e_from')">From <img src='images/sort_down_on.gif' border='0' ></img></a>
																			<% } else if ((columnnameout.equals("e_from")) && (orderout.equals("asc"))) { %>
																			<a href="javascript:onclick=sortOutgoing('desc','e_from')">From <img src='images/sort_up_on.gif' border='0' ></img></a>
																			<% } else {%>
																			<a href="javascript:onclick=sortOutgoing('desc','e_from')">From</a>
																			<% } %>
																		</td>
																		<td nowrap="nowrap" 	style="width:20%"; >
																			<% if ((columnnameout.equals("to_addr")) && (orderout.equals("desc"))) { %>
																			<a href="javascript:onclick=sortOutgoing('asc','to_addr')">To <img src='images/sort_down_on.gif' border='0' ></img></a>
																			<% } else if ((columnnameout.equals("to_addr")) && (orderout.equals("asc"))) { %>
																			<a href="javascript:onclick=sortOutgoing('desc','to_addr')">To <img src='images/sort_up_on.gif' border='0' ></img></a>
																				<% } else {%>
																			<a href="javascript:onclick=sortOutgoing('desc','to_addr')">To</a>
																			<% } %>
																			</td>
																			<td nowrap="nowrap" style="width:20%"; >
																			<% if ((columnnameout.equals("errormsg")) && (orderout.equals("desc"))) { %>
																			<a href="javascript:onclick=sortOutgoing('asc','errormsg')">Error <img src='images/sort_down_on.gif' border='0' ></img></a>
																			<% } else if ((columnnameout.equals("errormsg")) && (orderout.equals("asc"))){ %>
																			<a href="javascript:onclick=sortOutgoing('desc','errormsg')">Error <img src='images/sort_up_on.gif' border='0' ></img></a>
																			<% } else {%>
																			<a href="javascript:onclick=sortOutgoing('desc','errormsg')">Error</a>
																			<% } %>
																			</td>
																			</tr>
																			<server:outgoinglog minimum="<%=outgoingminimum%>" txtfrom="<%=from_address%>" txtto="<%=to_address%>" txtemail="<%=email_id%>" txtDatefrom="<%=datefrom%>" txtDateTo="<%=dateto%>"
																			txtNumRec="<%=NumRec%>"
																			column="<%=columnnameout%>" order="<%=orderout%>" tabtype="server" recordlimit="<%=toprecord%>">
<%
																			if(EmailID.equals("0"))
																			{}
																			else
																			{
																				i++;
																				if (i%2 != 0)
																					gridclass = "gridrow2";
																				else
																					gridclass = "gridrow1-outgoing";
	%>
																		<tr class ="<%=gridclass%>">
																			<td><%=EmailID%></td>
																			<td><%=date_entry%></td>
																			<td><%=e_from%></td>
																			<td><%=to_addr%></td>
																			<td><%=ErrorMsg%></td>
																		</tr>
	<%
																			}	
	%>
																			</server:outgoinglog>
	<%	
	i =0 ;
	int outgoingrecords = Expr2.intValue();
	%>
																		<tr class='footer' align='Right' style='font-weight:bold;'>
																		<td colspan='7' >
																		<utility:paging totalrecords="<%=outgoingrecords%>" 
																		minpage="<%=outgoingminpage%>" 
																		minimum="<%=outgoingminimum%>"
																		min="<%=outgoingmin%>" 
																		pagingtype="outgoing" 
																		clicked ="<%=clicked%>"
																		txtNumRec="<%=NumRec%>"/>
																		</td>
																	</tr>
																</TABLE>
															</TD>
														</TR>
													</TABLE>
												</TD>
											</TR>
											<TR>
																	<TD colSpan='2'>&nbsp;</TD>
																   </TR>
																    <tr>
																	<td colSpan="2">
																	<table id="alias" cellSpacing="0" cellPadding="0" width="100%" align="center">
																	<tr class="1stgrid_head-ash">
																	<td>Alias Log</td>
																	</tr>
																	<tr>
																	<td>
																	<table cellspacing="0" cellpadding="0" rules="cols" border="1" id="dgOutgoing" style="width:100%;border-collapse:collapse;">
																	<tr class="2nd_griditem_head-ash " style="font-weight:bold;">
																	<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamealias.equals("emailid")) && (orderalias.equals("desc"))) { %>
																	<a href="javascript:onclick=sortAlias('asc','emailid')">Email Id <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<%}else if((columnnamealias.equals("emailid")) && (orderalias.equals("asc"))){%>
																	<a href="javascript:onclick=sortAlias('desc','emailid')">Email Id <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortAlias('desc','emailid')">Email Id</a>
																	<% } %>
																	</td>
																	<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamealias.equals("date_rc")) && (orderalias.equals("desc"))) { %>
																	<a href="javascript:onclick=sortAlias('asc','date_rc')">Received <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<%}else if((columnnamealias.equals("date_rc")) && (orderalias.equals("asc"))){%>
																	<a href="javascript:onclick=sortAlias('desc','date_rc')">Received <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																	<a href="javascript:onclick=sortAlias('desc','date_rc')">Received</a>
																	<% } %>
																	</td>
																	<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamealias.equals("e_from")) && (orderalias.equals("desc"))) { %>
																	<a href="javascript:onclick=sortAlias('asc','e_from')">From <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<%}else if ((columnnamealias.equals("e_from")) && (orderalias.equals("asc"))){ %>
																	<a href="javascript:onclick=sortAlias('desc','e_from')">From <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortAlias('desc','e_from')">From</a>
																	<% } %>
																		</td>
																	<td nowrap="nowrap" style="width:20%"; >
																	<% if((columnnamealias.equals("alias_addr")) && (orderalias.equals("desc"))) { %>
																	<a href="javascript:onclick=sortAlias('asc','alias_addr')">Alias <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<%}else if ((columnnamealias.equals("alias_addr")) && (orderalias.equals("asc"))) { %>
																	<a href="javascript:onclick=sortAlias('desc','alias_addr')">Alias <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																	<a href="javascript:onclick=sortAlias('desc','alias_addr')">Alias</a>
																	<% } %>
																	</td>
																	<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamealias.equals("todomain")) && (orderalias.equals("desc"))) { %>
																	<a href="javascript:onclick=sortAlias('asc','todomain')">To Domain <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<% } else if ((columnnamealias.equals("todomain")) && (orderalias.equals("asc"))){ %>
																	<a href="javascript:onclick=sortAlias('desc','todomain')">To Domain <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																	<a href="javascript:onclick=sortAlias('desc','todomain')">To Domain</a>
																<% } %>
															</td>
														</tr>
																	<server:aliaslog minimum="<%=aliasminimum%>" txtfrom="<%=from_address%>" txtto="<%=to_address%>" txtemail="<%=email_id%>" txtDatefrom="<%=datefrom%>" txtDateTo="<%=dateto%>"
																	txtNumRec="<%=NumRec%>"
																	column="<%=columnnamealias%>" order="<%=orderalias%>" tabtype="server" recordlimit="<%=toprecord%>">
<%
																	if(EmailID.equals("0"))
																				{}
																			else
																			{
																				i++;
																				if (i%2 != 0)
																					gridclass = "gridrow2";
																				else
																					gridclass = "gridrow1-ash";
%>
																				<tr class ="<%=gridclass%>">
																				<td><%=EmailID%></td>
																				<td><%=Date_rc%></td>
																				<td><%=e_from%></td>
																				<td><%=Alias_addr%></td>
																				<td><%=ToDomain%></td>
																				</tr>
<%
																				}	
%>																		</server:aliaslog>
<%
i = 0;
int aliasrecords = Expr3.intValue();
%>
																		<tr class='footer' align='Right' style='font-weight:bold;'>
																		<td colspan='7' >
																		<utility:paging totalrecords="<%=aliasrecords%>" minpage="<%=aliasminpage%>"
																		minimum="<%=aliasminimum%>"
																		min="<%=aliasmin%>" 
																		pagingtype="alias" 
																		clicked ="<%=clicked%>"
																		txtNumRec="<%=NumRec%>"/>
																	</td>
																</tr>
															</TABLE>
														</TD>
													</TR>
												</TABLE>
											</TD>
										</TR>
																<TR>
																<TD colSpan='2'>&nbsp;</TD>
																</TR> 
																 <tr>
																	<td colSpan="2">
																	<table id="keymail" cellSpacing="0" cellPadding="0" width="100%" align="center" border="0">
																	<tr class="1stgrid_head-green">
																	<td>KeyMail Log</td>
																	</tr>
																<tr>
																<td>
																	<table cellspacing="0" cellpadding="0" rules="cols" border="1" id="dgKeyMail" style="width:100%;border-collapse:collapse;">
																	<tr class="2nd_griditem_head-green" style="font-weight:bold;">
																	<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamekeymail.equals("emailid")) && (orderkeymail.equals("desc"))) { %>
																	<a href="javascript:onclick=sortKeymail('asc','emailid')">Email Id <img src='images/sort_down_on.gif' border='0' ></img></a>
																<%}else if((columnnamekeymail.equals("emailid")) && (orderkeymail.equals("asc"))){%>
																	<a href="javascript:onclick=sortKeymail('desc','emailid')">Email Id <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																	<a href="javascript:onclick=sortKeymail('desc','emailid')">Email Id</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamekeymail.equals("date_rc")) && (orderkeymail.equals("desc"))) { %>
																	<a href="javascript:onclick=sortKeymail('asc','date_rc')">Received <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<%}else if((columnnamekeymail.equals("date_rc")) && (orderkeymail.equals("asc"))){%>
																	<a href="javascript:onclick=sortKeymail('desc','date_rc')">Received <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																	<a href="javascript:onclick=sortKeymail('desc','date_rc')">Received</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamekeymail.equals("e_from")) && (orderkeymail.equals("desc"))) { %>
																	<a href="javascript:onclick=sortKeymail('asc','e_from')">From <img src='images/sort_down_on.gif' border='0' ></img></a>
																<%}else if ((columnnamekeymail.equals("e_from")) && (orderkeymail.equals("asc"))){ %>
																	<a href="javascript:onclick=sortKeymail('desc','e_from')">From <img src='images/sort_up_on.gif' border='0' ></img></a>
																<% } else {%>
																	<a href="javascript:onclick=sortKeymail('desc','e_from')">From</a>
																<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																	<% if((columnnamekeymail.equals("keymail")) && (orderkeymail.equals("desc"))) { %>
																	<a href="javascript:onclick=sortKeymail('asc','keymail')">Keymail <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<%}else if ((columnnamekeymail.equals("keymail")) && (orderkeymail.equals("asc"))) { %>
																	<a href="javascript:onclick=sortKeymail('desc','keymail')">Keymail <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																	<a href="javascript:onclick=sortKeymail('desc','keymail')">Keymail</a>
																	<% } %>
																</td>
																	<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamekeymail.equals("status")) && (orderkeymail.equals("desc"))) { %>
																	<a href="javascript:onclick=sortKeymail('asc','status')">Status <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<% } else if ((columnnamekeymail.equals("status")) && (orderkeymail.equals("asc"))){ %>
																	<a href="javascript:onclick=sortKeymail('desc','status')">Status <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortKeymail('desc','status')">Status</a>
																	<% } %>
																		</td>	
																	</tr>
																	<server:keymaillog minimum="<%=keymailminimum%>" txtfrom="<%=from_address%>" txtto="<%=to_address%>" txtemail="<%=email_id%>" txtDatefrom="<%=datefrom%>" txtDateTo="<%=dateto%>"
																	txtNumRec="<%=NumRec%>"
																	column="<%=columnnamekeymail%>" order="<%=orderkeymail%>" tabtype="server" recordlimit="<%=toprecord%>">
<%
																	if(EmailID.equals("0"))
																	{}
																	else
																	{
																		i++;
																		if (i%2 != 0)
																			gridclass = "gridrow2";
																		else
																			gridclass = "gridrow1-green";
%>
																		<tr class = "<%=gridclass%>">
																			<td><%=EmailID%></td>
																			<td><%=Date_rc%></td>
																			<td><%=e_from%></td>
																			<td><%=Keymail%></td>
																			<td><%=Status%></td>
																		</tr>
<%
																	}	
%>
																</server:keymaillog>
<%
i = 0;
int keymailrecords = Expr4.intValue();
%>
																	<tr class='footer' align='Right' style='font-weight:bold;'>
																		<td colspan='7' >
																		<utility:paging totalrecords="<%=keymailrecords%>" minpage="<%=keymailminpage%>"
																		minimum="<%=keymailminimum%>"
																		min="<%=keymailmin%>" 
																		pagingtype="keymail" 
																		clicked ="<%=clicked%>"
																		txtNumRec="<%=NumRec%>"/>
																</td>
															</tr>
														</TABLE>
													</TD>
												</TR>	<%}%>
											</TABLE>
										</TD>
									</TR>
								<TR>
							<TD colSpan='2'>&nbsp;</TD>
						</TR>
					</TABLE>
				</TD>
			</TR>
																	<TR id = pnlSessionRes>
																	<TD>
																	<TABLE cellSpacing="0" cellPadding="0" width="100%" align="center" border="0">
																	<TR>
																	<TD colSpan='2'>&nbsp;</TD>
																</TR>								</TR>
																<%
																if((request.getParameter("firsttime") != null)&& request.getParameter("firsttime").equals("no"))
																{
																%>
																<TR>
																<TD class='2nd_grid_head' colSpan='2'>Search Results</TD>
																</TR>
																<TR>
																<TD colSpan='2'>&nbsp;</TD>
																</TR>
																<TR>
																	<TD colSpan='2'>
																	<TABLE cellSpacing='0' cellPadding='0' width='100%' align='center' border='0'>
																	<TR class='1stgrid_head-green'>
																	<TD>Session Log</TD>
																	</TR>
																	<TR>
																<TD>
																	<TABLE cellspacing='0' cellpadding='0' rules='cols' border='1' id='dgSession' style='width:100%;border-collapse:collapse;'>
																	<TR class='2nd_griditem_head-green' style='font-weight:bold;'>
																	<TD nowrap='nowrap' style='width:25%;'>
																	<% if ((columnsession.equals("emailid")) && (ordersession.equals("desc"))) { %>
																	<a href="javascript:onclick=sortSession('asc','emailid')">Email Id<IMG border=0 src='images/sort_down_on.gif' width='7' height='4'></IMG></a>
																	<% } else if ((columnsession.equals("emailid")) && (ordersession.equals("asc"))) { %>
																	<a href="javascript:onclick=sortSession('desc','emailid')">Email Id<IMG border=0 src='images/sort_up_on.gif' width='7' height='4'></IMG></a>
																<% } else { %>
																	<a href="javascript:onclick=sortSession('desc','emailid')">Email Id</a>
																<% } %>
																	</TD>
																	<TD nowrap='nowrap' style='width:25%;'>Client IP</TD>
																	<TD nowrap='nowrap' style='width:129px;'>
																	<% if ((columnsession.equals("date_start")) && (ordersession.equals("desc"))) { %>
																	<a href="javascript:onclick=sortSession('asc','date_start')">Start Date<IMG border=0 src='images/sort_down_on.gif' width='7' height='4'></IMG></a>
																	<% } else if ((columnsession.equals("date_start")) && (ordersession.equals("asc"))) { %>
																	<a href="javascript:onclick=sortSession('desc','date_start')">Start Date<IMG border=0 src='images/sort_up_on.gif' width='7' height='4'></IMG></a>
																	<% } else { %>
																		<a href="javascript:onclick=sortSession('desc','date_start')">Start Date</a>
																	<% } %>
																	</TD>
																	<TD nowrap='nowrap' style='width:129px;'>
																	<% if ((columnsession.equals("date_end")) && (ordersession.equals("desc"))) { %>
																	<a href="javascript:onclick=sortSession('asc','date_end')">End Date<IMG border=0 src='images/sort_down_on.gif' width='7' height='4'></IMG></a>
																	<% } else if ((columnsession.equals("date_end")) && (ordersession.equals("asc"))) { %>
																	<a href="javascript:onclick=sortSession('desc','date_end')">End Date<IMG border=0 src='images/sort_up_on.gif' width='7' height='4'></IMG></a>
																	<% } else { %>
																		<a href="javascript:onclick=sortSession('desc','date_end')">End Date</a>
																	<% } %>
																		</TD>
																		<TD nowrap='nowrap' style='width:10%;'>S#</TD>
																		<TD nowrap='nowrap' style='width:30%;'>Error</TD>
																	</TR>
																	<server:sessionlog minimum="<%=sessionminimum%>"  clientip="<%=clientip_address%>" txtemail="<%=semail_id%>" txtDatestart="<%=datefrom%>" txtDateend="<%=dateto%>" column="<%=columnsession%>" order="<%=ordersession%>"
																	txtNumRec="<%=NumRec%>"
																	recordlimit="<%=toprecord%>">
<%
																	if(EmailID.equals("0"))
																	{}
																	else
																	{
																		i++;
																		if (i%2 != 0)
																			gridclass = "gridrow2";
																		else
																			gridclass = "gridrow1-green";
%>
																		<tr class = "<%=gridclass%>">
																			<td><%=EmailID%></td>
																			<td><%=Client_IP%></td>
																			<td><%=Date_Start%></td>
																			<td><%=Date_End%></td>
																			<td><%=No_of_Session%></td>
																			<td><%=ErrorMsg%></td>
																		</tr>
<%
																	}	
%>
																	</server:sessionlog>
<%
i = 0;
int sessionrecords = Exprsession.intValue();
%>
																<tr class='footer' align='Right' style='font-weight:bold;'>
																	<td colspan='7' >
																	<utility:paging totalrecords="<%=sessionrecords%>" minpage="<%=sessionminpage%>"
																	minimum="<%=incomingminimum%>"
																	min="<%=sessionmin%>" 
																	pagingtype="sessions" 
																	clicked ="<%=clicked%>"
																	txtNumRec="<%=NumRec%>"/>
																	</td>
																</tr>
															</TABLE>
														</TD>
													</TR>
												</TABLE>
											</TD>
										</TR>
										<TR>
									<TD colSpan='2'>&nbsp;</TD>
								</TR>
							</TABLE>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
		</TD>
	</TR>
</TBODY>
</TABLE>
</TD>
</TR>
					<TR>
						<TD colSpan=2>
							<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
								<TBODY>
									<TR>
										<TD width="100%" bgColor=black colSpan=2 height=1></TD>
									</TR>
									<TR>
										<TD colSpan=2 width="100%">&nbsp;</TD>
									</TR>
									<%}%>
									
								</TBODY>
							</TABLE>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
						<script>
				type = '<%=logtype%>';
				flag = '<%=flag%>';
				//alert("Type :"+type);
				//alert("Flag :"+flag);
				if (type == "session" && flag == "false")
				{
					pnlAllRes.style.display = 'none';
					pnlSessionRes.style.display = 'none';
				}
				if (type == "session" && flag == "true")
				{
					pnlAllRes.style.display = 'none';
					pnlSessionRes.style.display = '';
				}
				if(type == "all" && flag == "false")
				{
					pnlAllRes.style.display = 'none';
					pnlSessionRes.style.display = 'none';
				}
				if (type == "all" && flag == "true")
				{
					pnlAllRes.style.display = '';
					pnlSessionRes.style.display = 'none';
				}
			</script>
			<script>
				type1 = '<%=logtype%>';
				//alert("Type1 :"+type1);
				if(type1 == "all")
				{
					pnlAllLogs.style.display = '';
					pnlSessionLogs.style.display = 'none';
				}
				else if (type1 == "session")
				{
					pnlAllLogs.style.display = 'none';
					pnlSessionLogs.style.display = '';
				}
			</script>
		
			<TR>
							<TD align=middle class=footer colSpan=2 width="100%">
							 <%@ include file= "includes/footer.htm" %></TD>
			</TR>
			
		</FORM>
	</BODY>
</HTML>
<%
}
%>