/********************************************************************************/
/* Name			: ServerSettings.java											*/
/* Copyright	: 2003 SATCOMLABS LTD.							     			*/
/* Team			: Spam Control Team												*/
/* Developer	: Pavan Gupta													*/
/* Last Updated	: 																*/
/* Abstract		:  																*/
/* Called from	: 																*/
/* Calls		: 																*/
/********************************************************************************/

package com.antispam;

import java.io.*;
import com.DBConnection;
import com.replace.Replace;


public class ServerSettings
{
      DBConnection dbconn = new DBConnection ();
      Replace rep = new Replace ();
      
      public String txtsubject = "";
	  public String txtmaxu = "";
      public String txtbody = "";
      public String txtchallenge = "";
      public String txtapproval = "";
      public String txtalready = "";
      public String txtfailed = "";
	  public String cmbdate = "";
	  public String cmbRevdns = "";

	/* SET-GET  Date Format*/
      public void setCmbdate ( String s )
      {	
		  cmbdate = s;	  
	  }
	      
			public String getCmbdate( )
      {
		  return cmbdate;   
		  }

	
     /* SET-GET EMAIL SUBJECT*/
      public void setTxtsubject( String s )
      {	  txtsubject = s;      }
      public String getTxtsubject( )
      {	  return txtsubject;      }

	 /* SET-GET THE MAX USER IN A DOMAIN SUBJECT */
	  public void setTxtmaxu ( String s )
	  {      txtmaxu = s;      }
	  public String getTxtmaxu ( )
	  {	  return txtmaxu;      }

	/* SET-GET EMAIL BODY*/
      public void setTxtbody ( String s )
      {	  txtbody = s;      }
      public String getTxtbody ( )
      {	  return txtbody;      }

	/* SET-GET CHALLENGE */
      public void setTxtchallenge ( String s )
      {	  txtchallenge = s;      }
      public String getTxtchallenge( )
      {	  return txtchallenge;      }

	/* SET-GET APPROVAL */
      public void setTxtapproval ( String s )
      {	  txtapproval = s;      }
      public String getTxtapproval ( )
      {	  return txtapproval;      }

	/* SET-GET ALREADY*/
      public void setTxtalready ( String s )
      {	  txtalready = s;      }
      public String getTxtalready ( )
      {	  return txtalready;      }

	/* SET-GET FAILED*/
      public void setTxtfailed ( String s )
      {	  txtfailed = s;      }
      public String getTxtfailed ( )
      {	  return txtfailed;      }
      
            
	//METHOD FOR UPDATING THE RECORDS
	

	/* SET-GET Reverse DNS Enabled */
	 public void setCmbRevdns ( String s )
      {	
		  cmbRevdns = s;	  
	  }
	      
			public String getCmbRevdns( )
      {
		  return cmbRevdns;   
		  }

	public String savesettings() 
	{
		java.sql.Connection conn = null;
		java.sql.Statement smt = null;
	    java.sql.ResultSet rs = null;
		
		String qry = null;
		String mesg =null;
		
		txtsubject = rep.replaceBy(txtsubject, "'", "''");
		txtmaxu = rep.replaceBy(txtmaxu, "'" , "''");
		txtbody = rep.replaceBy(txtbody, "'", "''"); 
		txtchallenge = rep.replaceBy(txtchallenge, "'", "''");
		txtapproval = rep.replaceBy(txtapproval, "'", "''");
		txtalready = rep.replaceBy(txtalready, "'", "''");
		txtfailed = rep.replaceBy(txtfailed, "'", "''");
		
		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();
			
			qry = "UPDATE ADMINDEFAULTS SET DefaultchallengeWebPage='"+txtchallenge+"', DefaultapprovalWebPage='"+txtapproval+"', DefaultalreadyInWebPage='"+txtalready+"', DefaultFailedWebPage='"+txtfailed+"', DefaultEmail_Subject='"+txtsubject+"', DefaultEmail_Body='"+txtbody+"', Max_Users='"+txtmaxu+"', date_format='"+cmbdate+"', reverse_dns='"+cmbRevdns+"'";
				
				smt.executeUpdate ( qry );
				mesg = "Server Settings Modified Successfully ";
		}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);
			mesg = "Unable to Update Domain Settings";
		}
		finally
		{
			try {
				smt.close();
				conn.close();
			} catch ( Exception ignored ) {}
		}
		return mesg;
	}
}
