/********************************************************************************/
/* Name		:Alias.java						*/
/* Copyright		:2003 SATCOMLABS LTD.				*/
/* Team		:Spam Control Team					*/
/* Developer		:Pava Gupta						*/
/* Last Updated	:10:10 AM 17/12/2003					*/
/* Abstract		:Create Custom tag fro fetch alias			*/
/* Called from		:dashboard						*/
/* Calls		:							*/
/********************************************************************************/
package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.net.*;
import com.DBConnection;

public class Alias extends BodyTagSupport
{
	private int userid = 0;
	private int noofrec = 0; //NUMBER OF RECORD TO BE SHOWN
	private String order = "";
	private String column = "";
		
	public int minimum = 0;		
	public int k =0;

	private java.util.List aliasid = new java.util.LinkedList();
	private java.util.List alias = new java.util.LinkedList();
	private int index;
	private StringBuffer output = null;

	DBConnection dbconn = new DBConnection ();
 
	public void setMinimum( int d )
    	{
		minimum = d;	
	}
	
	public int getMinimum()
    	{	
		return minimum;	
	}
	
	public int getUserid ()
    	{	
		return userid;	
	}
	public void setUserid( int newuserid )
    	{
		this.userid = newuserid;	
	}
	public int getNoofrec ()
    	{	
		return noofrec;	
	}
    	public void setNoofrec( int newnoofrec )
    	{
		this.noofrec = newnoofrec;	
	}

	// GET-SET METHOD FOR ORDER OF RECORDS (ASCENDING/ DESCENDING)
	public String getOrder ()
    {	
		return order;	
	}
    public void setOrder( String neworder )
    {
		this.order = neworder;	
	}

	// GET-SET METHOD FOR COLUMN NAME TO BE SORT
	public String getColumn ()
    {	
		return column;	
	}
    public void setColumn( String newcolumn )
    {
		this.column = newcolumn;	
	}

	public int doStartTag() throws JspException
    	{
		java.sql.Connection conn = null;
		java.sql.Statement stmt = null;
		java.sql.ResultSet rs = null;

		output = new StringBuffer();

		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			stmt = conn.createStatement();

			//FETCH ALL ALIAS FROM ALIAS TABLE
			qry = "SELECT ALIASID, ALIAS_ADDR FROM ALIAS WHERE USERID="+userid+" ORDER BY "+column+" "+order;

			rs = stmt.executeQuery( qry );
			if (rs.next())
			{
				if(noofrec > 0)
				{
					int i=0;
					do
					{
						aliasid.add ( rs.getString( 1 ) );
						alias.add ( rs.getString( 2 ) );
						i++;
					}
					while( rs.next() && i< noofrec );
				}
				else
				{
					int i = 0;
					int j = 0;
					k = 1;
								
					while(i<(minimum-1) && rs.next())
					{
						i++;
						k++;
					}	
					do
					{
						aliasid.add ( rs.getString( 1 ) );
						alias.add ( rs.getString( 2 ) );
						j++;
						k++;
					}
					while(rs.next() && j<10);
					while(rs.next())
					{
						k++;
					}
				}
			}
			else
			{
				aliasid.add ("0");
				alias.add ("0");
			}
		}
		catch ( java.sql.SQLException sqle )
		{	System.out.println("SQLE Exception-->"+sqle);	}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);	}
		finally
		{
			try
			{
				rs.close();
				stmt.close();
				conn.close();
			}
			catch ( Exception ignored ) {System.out.println("Spam Controllar");
			System.out.println(ignored);
			}
		}
		if ( aliasid.size() > 0 )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
	}

	public int doAfterBody() throws JspTagException
    {
		BodyContent bodyContent = getBodyContent();
		if ( bodyContent != null )
		{
			output.append( bodyContent.getString() );
			try
			{
				bodyContent.clear();
			}
			catch ( IOException ex )
			{
				System.out.println("Spam Controllar");
                throw new JspTagException("Fatal IO Error");
			}
		}
		if ( ++index < aliasid.size() )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
     }

	public int doEndTag() throws JspTagException
	{
		try
		{
			bodyContent.getEnclosingWriter().write( output.toString() );
		}
		catch ( IOException ex )
		{
			System.out.println("Error -->"+ex);
			throw new JspTagException("Fatal IO Error");
		}
		pageContext.setAttribute( "Expralias", new Integer(k));  
		return EVAL_PAGE;
	}
    
	private void setLoopVariables ()
    {
		pageContext.setAttribute( "aliasid", aliasid.get( index ).toString() );
		pageContext.setAttribute( "alias", alias.get( index ).toString() );
	}
}