package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.net.*;
import java.sql.Connection;
import java.sql.Statement;
import java.sql.ResultSet;
import com.DBConnection;

public class DefaultServerSettings extends TagSupport
{
	DBConnection dbconn = new DBConnection ();

	public int doStartTag() throws JspException
    {
		Connection conn = null;
		Statement stmt = null;
		ResultSet rs = null;

		String qry = "";
		String myval = "";
		String validlink = "";

		try
		{
			conn = dbconn.getConnection();
			stmt = conn.createStatement();
			JspWriter out = pageContext.getOut();
			
			//FETCH VALIDATION LINK FROM DOMAINS TABLES
			qry = "SELECT validationlink FROM DOMAINS LIMIT 1";
			rs = stmt.executeQuery( qry );
			if(rs.next())
			{
				validlink = rs.getString(1);
				rs.close();
			}

			//FETCH DEFAULT SETTING FROM ADMINDEFAULTS
			qry = "SELECT * FROM ADMINDEFAULTS";
			rs = stmt.executeQuery(qry);
			if(rs.next())
			{
				myval= "<TR class=2nd_grid_head>"+
				  "<TD align=left width='33%'></TD>"+
                  "<TD align=middle width='33%'>Settings</TD>"+
                  "<TD align=right width='33%'><A class=sectionheadlink href='serversettings.jsp'>Server Settings</A></TD>"+
				"</TR>"+
				"<TR>"+
                "<TD align=left colSpan=3>"+
                  "<TABLE cellSpacing=0 cellPadding=2 width='100%' border=0>"+
                    "<TBODY>"+
                    "<TR class=2nd_griditem_head-ash>"+
                      "<TD width='30%'>Item</TD>"+
                      "<TD width='70%'>Contents</TD>"+
                    "</TR>"+
                    "<TR class=gridrow1-ash>"+
                      "<TD width='30%'><STRONG>Validation Link:</STRONG></TD>"+
                      "<TD width='70%'><SPAN id=lblEmailBody>"+validlink+"</SPAN><BR>&nbsp;</TD>"+
                    "</TR>"+
                    "<TR class=gridrow2>"+
                      "<TD width='30%'><STRONG>Email Subject:</STRONG></TD>"+
                      "<TD width='70%'><SPAN id=lblEmailSubject>"+rs.getString(5)+"</SPAN><BR>&nbsp;</TD>"+
                    "</TR>"+
                    "<TR class=gridrow1-ash>"+
                      "<TD width='30%'><STRONG>Email Body:</STRONG></TD>"+
                      "<TD width='70%'><SPAN id=lblEmailBody>"+rs.getString(6)+"</SPAN><BR>&nbsp;</TD>"+
                    "</TR>"+
                    "<TR class=gridrow2>"+
                      "<TD width='30%'><STRONG>Challenge Web Page Contents:</STRONG></TD>"+
                      "<TD width='70%'><SPAN id=lblCWPage>"+rs.getString(1)+"</SPAN><BR>&nbsp;</TD>"+
                    "</TR>"+
                    "<TR class=gridrow1-ash>"+
                      "<TD width='30%'><STRONG>Approval Web Page Contents:</STRONG></TD>"+
                      "<TD width='70%'><SPAN id=lblAWPage>"+rs.getString(2)+"</SPAN><BR>&nbsp;</TD>"+
                    "</TR>"+
                    "<TR class=gridrow2>"+
                      "<TD width='30%'><STRONG>Already In Web Page Contents:</STRONG></TD>"+
                      "<TD width='70%'><SPAN id=lblAIWPage>"+rs.getString(3)+"</SPAN><BR>&nbsp;</TD>"+
                    "</TR>"+
                    "<TR class=gridrow1-ash>"+
                      "<TD width='30%'><STRONG>Failed Web Page Contents:</STRONG></TD>"+
                      "<TD width='70%'><SPAN id=lblFWPage>"+rs.getString(4)+"</SPAN><BR>&nbsp;</TD>"+
                    "</TR>"+
                    "</TBODY>"+
                  "</TABLE>"+
                "</TD>"+
              "</TR>";

				out.println(myval);
			}
		}

		catch ( Exception e )
		{
			System.out.println("Exception-->"+e);	
		}
		return SKIP_BODY;
	}
}	