<%
/********************************************************************************/
/* Name			: domainwhitelist.jsp											*/
/* Copyright	: 2003 SATCOMLABS LTD.											*/
/* Team			: Spam Control Team												*/
/* Developer	: Amit Kumar													*/
/* Last Updated	: 																*/
/* Abstract		: Add new email address to DomainASL Table						*/
/* Called from	: dashboardlogin.jsp											*/
/* Calls		:																*/
/********************************************************************************/
%>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<%@ taglib prefix="domain" uri="/WEB-INF/TLDS/domain.tld" %>

<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication" />
<jsp:useBean id = "domainmainid" scope = "session" class = "com.antispam.DomainSettings" />

<%
int userid = validate.getUserid();
int adminid = validate.getAdminid();
if (userid==0 || adminid > 2)
{
        response.sendRedirect("dashboardlogin.jsp");
}
else
{
	int logindomainid = validate.getDomainid();
	int domainid = 0;
	int tempdomainid = validate.getTempdomainid();
	if(tempdomainid == 0)
		domainid = logindomainid;
	else
		domainid = tempdomainid;

		domainmainid.setHiddomainid(domainid);
		domainmainid.registered();
	String user_reg = domainmainid.getRadRegistration();
	if(user_reg == null)
		user_reg = "";

	String message = "";
	if(request.getParameter("msg") != null)
		message = request.getParameter("msg");
%>
<HTML>
	<HEAD>
		<TITLE>Add to Whitelist</TITLE>
		<LINK href="stylesheets/display_control.css" rel=stylesheet type=text/css>
	</HEAD>

	<SCRIPT language=javascript src="scripts/web_uivalidation.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/validations.js"></SCRIPT>
	<script language=javascript>
		//FUNCTION TO CHECK VALIDATION ON FIELD
		function chkValidation()
		{
			if(isBlank(document.frmaddwhitelist.txtemail) == "1")
			{
				alert("Email Address can not be blank");
				document.frmaddwhitelist.txtemail.focus();
				return false;
			}
			/*else if(chkEmail(document.frmaddwhitelist.txtemail.value) == false)
			{
				alert("Enter Proper Email Address");
				document.frmaddwhitelist.txtemail.value="";
				document.frmaddwhitelist.txtemail.focus();
				return false;
			}*/

		else if(emailcheck(document.frmaddwhitelist.txtemail.value) == false)
			{
				document.frmaddwhitelist.txtemail.value="";
				document.frmaddwhitelist.txtemail.focus();
				return false;
			}
			
			else
			{
				document.frmaddwhitelist.action="interdomainwhitelist.jsp";
				document.frmaddwhitelist.submit();
			}
		}

		//FUNCTION TO CHECK EMAIL ADDRESS
		function emailcheck(emailStr) 
		{
			var FormData=document.frmaddwhitelist
			var dot=0
			var at2=0
			var at
		  
			var emailPat=/^(.+)@(.+)$/
			var specialChars="\\(\\)<>@,;:\\\\\\\"\\.\\[\\]"
			var validChars="\[^\\s" + specialChars + "\]"
			var quotedUser="(\"[^\"]*\")"
			var ipDomainPat=/^\[(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})\]$/
			var atom=validChars + '+'
			var word="(" + atom + "|" + quotedUser + ")"
			var userPat=new RegExp("^" + word + "(\\." + word + ")*$")
			var domainPat=new RegExp("^" + atom + "(\\." + atom +")*$")

			var matchArray=emailStr.match(emailPat)
			if (matchArray==null) 
			{
				alert("Email address seems incorrect (check @ and .'s)")
				return false
			}
			var user=matchArray[1]
			var domain=matchArray[2]
			if (user.match(userPat)==null) 
			{
				alert("The username doesn't seem to be valid.")
				document.frmaddwhitelist.txtemail.focus();
					return false
			}
				var IPArray=domain.match(ipDomainPat)
			if (IPArray!=null) 
			{
				for (var i=1;i<=4;i++) 
				{
					if (IPArray[i]>255) 
					{
						alert("Destination IP address is invalid!")
						return false
					}
				}
				return true
			}

			var domainArray=domain.match(domainPat)

			if (domainArray==null) 
			{
				alert("The domain name doesn't seem to be valid.")
				document.frmaddwhitelist.txtemail.focus();
				return false
			}

			var atomPat=new RegExp(atom,"g")
			var domArr=domain.match(atomPat)
			var len=domArr.length
			
			if (domArr[domArr.length-1].length<2)
			{
				alert("Invalid domain, it must be a two letter country or ore more than two letter domain.")
				return false;
			}

			if (len<2) 
			{
				var errStr="This address is missing a hostname!"
				alert(errStr)
				return false;
			}
		}

		//  FUNCTION TO SET FOCUS ON TEXT FIELD 
		function funload()
		{
			document.frmaddwhitelist.txtemail.focus();
		}
	</script>

	<BODY onload="funload()">
		<FORM  method=post name=frmaddwhitelist onsubmit="chkValidation();return false">
			<INPUT type=hidden name=flag value="ADD">
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD colSpan=2><!--for the header Image-->
							<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
								<TBODY>
									<TR>
										<TD bgColor=#cecece>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<TD align=left vAlign=top width="52%"><img border="0" src="images/img.gif" width="436" height="48"></TD>
														<TD align=right vAlign=top width="48%"><IMG src="images/topbar-right.gif" width="229" height="48"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD bgColor=#000000><IMG height=1 src="Add to Whitelist_files/1x1.gif" width=1></TD>
									</TR>
									<TR>
										<TD align=left bgColor=#007ccd height=37 vAlign=bottom>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
<!-- FOR SERVER ADMINISTRATOR ADMINID = 1 -->
													<% if (adminid == 1) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="usermain.jsp">User</TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header_active id=TopBanner_DomainPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="domainmain.jsp">Domain</TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%">
															<DIV class=header id=TopBanner_ServerPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="servermain.jsp">Server</TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
<!-- FOR DOMAIN ADMINISTRATOR ADMINID = 2 -->
													<% } else if (adminid == 2) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="usermain.jsp">User</A></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header_active id=TopBanner_DomainPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%"></TD>
													<% } %>
													</TR>
													<TR>
														<TD colSpan=3>
															<TABLE border=0 cellPadding=2 cellSpacing=0 width="100%">
																<TBODY>
																	<TR class=blanktd>
																		<TD width="90%">Working in Domain : <domain:domaininfo domain_id="<%= domainid %>" /></TD>
																		<TD align=right width="10%"><font color="navy" class=gridrowlink onmouseover = "javascript:style.cursor='hand'" onclick="openHelp('help/DomainaddWhitelistHelp.htm')" style="FONT-WEIGHT:bold"><u>Help</u></font>&nbsp;</TD>
																	</TR>
																	<TR>
																		<TD bgColor=#330099 colSpan=2></TD>
																	</TR>
																</TBODY>
														</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
					<TR>
						<TD class=navbg><!--For the menu--><!--Menu for User-->
							
						<% if (user_reg.equals("tempid")) { %>
							<domain:domainmenutemp showCurrPage="3"></domain:domainmenutemp>
						<% } else { %>
							<domain:domainmenu showCurrPage="3"></domain:domainmenu>
						<% } %>
						</TD>
						<TD vAlign=top><!--Main Section(Add to Whitelist)-->
							<TABLE border=0 cellPadding=0 cellSpacing=2 width="100%">
								<TBODY>
									<TR class=2nd_grid_head>
										<TD vAlign=top>Add to Domain Wide Whitelist</TD>
									</TR>
									<TR>
										<TD>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<TD class=generalbody-gray>Email Address </TD>
														<TD class=generalbody-gray><INPUT class=textinpt name=txtemail style="WIDTH: 250px" size="20" maxlength="255"></TD>
													</TR>
			  
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<TD class=generalbody colSpan=3 align="center">Note: Any Entries made will be in Effect for any User in the Entire Domain </TD>
													</TR><br>
													<TR>
														<TD class=generalbody colSpan=3><BR><STRONG>Policy</STRONG></TD>
													</TR>
													<TR class=generalbody-gray>
														<TD width="4%">&nbsp;</TD>
														<TD width="24%">This Email address is</TD>
														<TD width="72%">
															<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																<TBODY>
																	<TR class=generalbody-gray>
																		<TD><INPUT CHECKED id=Condtype1 name=conditiontype type=radio value=1></TD>
																		<TD>Pre-approved: All email is welcome</TD>
																	</TR>
																	<DIV id=pnlUnVal></DIV>
																	<TR class=generalbody-gray>
																	</TR>
																	<TR class=generalbody-gray>
																		<TD><INPUT id=Condtype2 name=conditiontype type=radio value=2></TD>
																		<TD>Spam: Reject all subsequent email from this sender </TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<TD class=generalbody colSpan=3><STRONG>Scope</STRONG></TD>
													</TR>
													<TR class=generalbody-gray>
														<TD width="4%">&nbsp;</TD>
														<TD width="24%">This Policy Applies to</TD>
														<TD width="72%">
															<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																<TBODY>
																	<TR class=generalbody-gray>
																		<TD><INPUT CHECKED id=Apptype1 name=approvaltype type=radio value=1></TD>
																		<TD>This address only</TD>
																	</TR>
																	<TR class=generalbody-gray>
																		<TD><INPUT id=Apptype2 name=approvaltype type=radio value=2></TD>
																		<TD>Anyone from the same organization (or domain) </TD>
																	</TR>
																	<TR class=generalbody-gray>
																		<TD><INPUT id=Apptype3 name=approvaltype type=radio value=3></TD>
																		<TD>Anyone from the same organization or subsidiaries (subdomain)</TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
													<TR>
														<TD width="4%">&nbsp;</TD>
														<TD width="12%">&nbsp;</TD>
														<TD width="84%"><SPAN class=errmsg id=lblErr></SPAN></TD>
													</TR>
													<TR class=errmsg>
														<TD width="100%" colspan="3"><p align="center"><font size=2><%=message%></font></TD>
													</TR>
													<TR class=generalbody>
														<TD width="4%">&nbsp;</TD>
														<TD width="12%">&nbsp;</TD>
														<TD width="84%"><INPUT class=Btn name=btnSave type=submit value=Create onclick="chkValidation();return false"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD bgColor=black colSpan=2 height=1 width="100%"></TD>
					</TR>
					<TR>
						<TD colSpan=2 width="100%">&nbsp;</TD>
					</TR>
					<TR>
						<TD align=middle class=footer colSpan=2 width="100%"><%@ include file= "includes/footer.htm" %></TD>
					</TR>
				</TBODY>
			</TABLE>
		</FORM>
	</BODY>
</HTML>
<%
}
%>