<%
/********************************************************************************/
/* Name			:serverviewall.jsp													*/
/* Copyright	:2003 SATCOMLABS LTD.											*/
/* Team			:Spam Control Team												*/
/* Developer	:Pavan Gupta													*/
/* Last Updated	:2.45 PM 08/01/2004												*/
/* Abstract		:display  entries of pre-approved senders						*/
/* Called from	:servermain.jsp													*/
/* Calls		:																*/
/********************************************************************************/
%>
<%@ taglib prefix="server" uri="/WEB-INF/TLDS/server.tld" %>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<%@ taglib prefix="utility" uri="/WEB-INF/TLDS/utility.tld" %>
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication" />
<%
int userid = validate.getUserid();
int adminid = validate.getAdminid();
int NumRec = 10;
if(userid==0 || adminid!=1)
{
	response.sendRedirect("dashboardlogin.jsp");
}
else
{
	int allminpage = 0;
	int allmin = 1;
	int allminimum = 1;
	int allrecords = 0 ;

	int conid = Integer.parseInt(request.getParameter("conditionid"));
	int i=0;
	String column_name = "";
	String order_by = "";

	String message = "";
	if(request.getParameter("msg") != null)
		message = request.getParameter("msg");

	String orderpre = "desc";
	String columnnamepre = "date_insersion";

	String orderspam = "desc";
	String columnnamespam = "date_insersion";

	if(request.getParameter("hidallminpage") != null)
		allminpage = Integer.parseInt(request.getParameter("hidallminpage"));
	if(request.getParameter("hidallmin") != null)
		allmin = Integer.parseInt(request.getParameter("hidallmin"));
	if(request.getParameter("hidallminimum") != null && !request.getParameter("hidallminimum").equals("") )
			allminimum = Integer.parseInt(request.getParameter("hidallminimum"));

	if(request.getParameter("hidorderpre") != null)
		orderpre = request.getParameter("hidorderpre");
	if(request.getParameter("hidcolumnpre") != null)
		columnnamepre = request.getParameter("hidcolumnpre");

	if(request.getParameter("hidorderspam") != null)
		orderspam = request.getParameter("hidorderspam");
	if(request.getParameter("hidcolumnspam") != null)
		columnnamespam = request.getParameter("hidcolumnspam");

	if(conid==1)
	{
		column_name = columnnamepre;
		order_by = orderpre;
	}
	else if (conid==2)
	{
		column_name = columnnamespam;
		order_by = orderspam;
	}

	if(request.getParameter("txtNumRec")!=null)
	NumRec = Integer.parseInt(request.getParameter("txtNumRec"));
%>
<HTML>
	<HEAD>
		<TITLE>View All Whitelist</TITLE>
		<LINK href="stylesheets/display_control.css" type=text/css rel=stylesheet>
	</HEAD>
	<SCRIPT language=javascript id=valIp src="scripts/validations.js"></SCRIPT>
	<!-- START SCRIPT -->
	<script language="javascript">
		// SUBMIT THE PAGE FOR UPDATTION OF POLICY AND SCOPE
		function submitUpdate()
		{
			recordcount = document.frmMain.txtcount.value;
			if(recordcount == 0)
				alert ("No Record To Update");
			else
			{
				document.frmMain.action = "editadminasl.jsp?flag=UPDATE&val=all&conditionid=<%=conid%>"
				document.frmMain.submit();
			}
		}

		// SUBMIT THE PAGE FOR DELETE THE RECORDS AND ALSO CHECK THAT AT LEAST ONE RECORD SHOULD BE SELECTED
		function submitDelete()
		{
			recordcount = document.frmMain.txtcount.value;
			if(recordcount == 0)
				alert ("No Record To Delete");
			else
			{
				var chkid = document.frmMain.chkdelete;
				var flag=false;
				if(recordcount == 1)
				{
					if(chkid.checked == 1)
						flag = true;
				}
				else if (recordcount > 1)
				{
					for(i=0; i<chkid.length; i++)
					{
						if(chkid[i].checked == 1)
						{
							flag=true;
							break;
						}
					}
				}
				if(flag==false)
					alert("Please check at least one record");
				else
				{
					document.frmMain.action = "editadminasl.jsp?flag=DELETE&val=all&conditionid=<%=conid%>";
					document.frmMain.submit();
				}
			}
		}

		//FUNCTION TO SORT PRE-APPROVED SENDERS
		function sortPre(order,column)
		{
			document.frmMain.hidcolumnpre.value=column;
			document.frmMain.hidorderpre.value=order;
			document.frmMain.action="serverviewall.jsp?conditionid=<%=conid%>";
			document.frmMain.submit();
		}

		//FUNCTION TO SORT SPAMMERS
		function sortSpam(order,column)
		{
			document.frmMain.hidcolumnspam.value=column;
			document.frmMain.hidorderspam.value=order;
			document.frmMain.action="serverviewall.jsp?conditionid=<%=conid%>";
			document.frmMain.submit();
		}

		//FUNCTION TO SHOW NEXT 10 PAGES
		function changePage(pageno,min,pagingtype)
		{
			if(pagingtype == "all")
			{
				document.frmMain.hidallminpage.value=pageno;
				document.frmMain.hidallmin.value=min;
				document.frmMain.hidallminimum.value=min;
			}
			document.frmMain.action="serverviewall.jsp?conditionid=<%=conid%>";
			document.frmMain.submit();
		}

		//FUNCTION TO SHOW NEXT PAGE
		function Page(min,max,pagingtype)
		{
			if(pagingtype == "all")
				document.frmMain.hidallminimum.value=min;
			document.frmMain.hidNumRec.value=10;
			document.frmMain.action="serverviewall.jsp?conditionid=<%=conid%>";
			document.frmMain.submit();
			
		}
		function setFocus()
		{
			document.frmMain.cmdsave.focus();
		}

		// FUNCTION TO DELETE ALL RECORDS OF THE PAGE
		function checkAllDelete()
		{
			var i;
			recordcount = document.frmMain.txtcount.value;
			if(recordcount == 0)
			{}
			else
			{
				var alldelete = document.frmMain.chkdelete;
				if(recordcount == 1)
				{
					if(document.frmMain.chkalldelete.checked)
						alldelete.checked = true;
					else
						alldelete.checked = false;
				}
				else
				{
					if(document.frmMain.chkalldelete.checked)
					{
						for(i=0; i<alldelete.length; i++)
						{
							alldelete[i].checked = true;
						}
					}
					else
					{
						for(i=0; i<alldelete.length; i++)
						{
							alldelete[i].checked = false;
						}
					}
				}
			}
		}
	</script>
<!-- END SCRIPT -->

	<BODY onload="setFocus()">
		<FORM id=frmMain name=frmMain action=serverviewall.htm method=post>
			<INPUT type=hidden class=textinpt name=hidcolumnpre value="<%=columnnamepre%>">
			<INPUT type=hidden class=textinpt name=hidorderpre value="<%=orderpre%>">
			<INPUT type=hidden class=textinpt name=hidcolumnspam value="<%=columnnamespam%>">
			<INPUT type=hidden class=textinpt name=hidorderspam value="<%=orderspam%>">
			<INPUT type="hidden" name="hidNumRec" value="<%=NumRec%>">

			<INPUT type=hidden class=textinpt name=hidallminpage value="<%=allminpage%>">
			<INPUT type=hidden class=textinpt name=hidallmin value="<%=allmin%>">
			<INPUT type=hidden class=textinpt name=hidallminimum value="<%=allminimum%>">

			<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
				<TBODY>
					<TR>
						<TD colSpan=2><!--for the header Image-->
							<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
								<TBODY>
									<TR>
										<TD bgColor=#cecece>
											<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
												<TBODY>
													<TR>
														<TD vAlign=top align=left width="52%"><IMG src="images/img.gif" vspace=5 width="437" height="37"></TD>
														<TD vAlign=top align=right width="48%"><IMG src="images/topbar-right.gif" width="229" height="48"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD bgColor=#000000><IMG src="images/1x1.gif" width="1" height="1"></TD>
									</TR>
									<TR>
										<TD vAlign=bottom align=left bgColor=#007ccd height=37>
											<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
												<TBODY>
													<TR>
													<% if (adminid == 1) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header id=TopBanner_Panel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%">
															<DIV class=header_active id=TopBanner_ServerPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "servermain.jsp">Server</a></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
													<% } %>
													</TR>
													<TR>
														<TD colSpan=3>
															<TABLE cellSpacing=0 cellPadding=2 width="100%" border=0>
																<TBODY>
																	<TR class=blanktd>
																		<spam:UserInfo userid="<%= userid %>">
																			<TD width="90%">Logged in as: <%= username %>@<%=domainname%>  on Server: <%=request.getServerName()%></TD></TD>
																		</spam:UserInfo>
																		<% if (conid ==1) { %>
																			<TD align=right width="10%"><A class=gridrowlink href=javascript:onclick=openHelp('help/ServerViewAllPreapprovedHelp.htm') style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A></TD>
																		<% } else if (conid ==2) { %>
																			<TD align=right width="10%"><A class=gridrowlink href=javascript:onclick=openHelp('help/ServerViewAllSpammersHelp.htm') style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A></TD>
																		<% } %>
																	</TR>
																	<TR>
																		<TD bgColor=#330099 colSpan=2></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
					<TR>
						<TD class=navbg><!--For the menu--><!--Menu for Server Admin-->
							<% if (conid ==1) { %>
								<server:servermenu showCurrPage="8"></server:servermenu>
							<% } else if(conid ==2) { %>
								<server:servermenu showCurrPage="9"></server:servermenu>
							<% } %>
						</TD>
						<TD vAlign=top align=middle>
							<TABLE cellSpacing=2 cellPadding=0 width="100%" border=0>
								<TBODY>
									<TR>
										<TD><!--Main Section-->
											<TABLE id=Table1 cellSpacing=0 cellPadding=0 width="100%" border=0><TBODY>
												<% if (conid == 1) { %>
													<TR class=2nd_grid_head>
														<TD align=middle width="50%" colSpan=2><SPAN id=lblPageHeader>Viewing All Pre-approved Senders</SPAN></TD>
													</TR>
													<TR class=viewall_links>
														<TD align=left width="50%" colSpan=2 height=2>
															<A  id=lnkPreapproved>Pre-approved</A>&nbsp; 
															<A id=lnkSpammers href="serverviewall.jsp?conditionid=2">Spammers</A>&nbsp; 
															<A id=lnkCustSearch href="servercustomview.jsp">Search</A><BR>&nbsp; 
														</TD>
													</TR>
													<TR>
														<TD align=middle width="50%" colSpan=2 height=12>
															<DIV class=1stgrid_head id=headerPanel>
																<SPAN  id=lblGridHeader>Pre-approved Senders</SPAN>
															</DIV>
														</TD>
													</TR>
												<% } else if (conid == 2) { %>
													<TR class=2nd_grid_head>
														<TD align=middle width="50%" colSpan=2><SPAN id=lblPageHeader>Viewing All Spammers</SPAN></TD>
													</TR>
													<TR class=viewall_links>
														<TD align=left width="50%" colSpan=2 height=2>
															<A  id=lnkPreapproved href="serverviewall.jsp?conditionid=1">Pre-approved</A>&nbsp; 
															<A id=lnkSpammers>Spammers</A>&nbsp; 
															<A id=lnkCustSearch href="servercustomview.jsp">Search</A><BR>&nbsp; 
														</TD>
													</TR>
													<TR>
														<TD align=middle width="50%" colSpan=2 height=12>
															<DIV class=1stgrid_head-spam id=headerPanel>
																<SPAN  id=lblGridHeader>spammers</SPAN>
															</DIV>
														</TD>
													</TR>
												<% } %>
													<TR>
														<TD align=left width="50%" colSpan=2>
															<TABLE id=Grid1_PUVGrid style="WIDTH: 100%; BORDER-COLLAPSE: collapse" cellSpacing=0 cellPadding=1 rules=cols border=1>
																<TBODY>
																	<% if (conid==1) { %>
																		<server:serversendersheader condition="<%=conid%>" orderpre="<%=orderpre%>" columnnamepre="<%=columnnamepre%>" requestpage="serverviewall"></server:serversendersheader>
																	<% } else if(conid==2) { %>
																		<server:serversendersheader condition="<%=conid%>" orderspam="<%=orderspam%>" columnnamespam="<%=columnnamespam%>" requestpage="serverviewall"></server:serversendersheader>
																	<% } %>
																	<server:serverdashboard condition_id="<%=conid%>" noofrec="0" column="<%=column_name%>" order="<%=order_by%>" minimum="<%=allminimum%>">
<%
																	if (aslid.equals("0"))
																	{}
																	else
																	{
																		String gridclass = "";
																		i++;
																		if (i%2 != 0)
																			gridclass = "gridrow2";
																		else
																		{
																			if(conid == 1)
																				gridclass = "gridrow1";
																			else if(conid == 2)
																				gridclass = "gridrow1-spam";
																		}
%>	
																		<TR class=<%=gridclass%>>
																			<TD style="WIDTH: 24%"><input type=hidden name="txtid" value=<%=aslid%>><%=mailerid%></TD>
																			<TD style="WIDTH: 29%"><%=mailerdomain%></TD>
																			<TD style="WIDTH: 22%"><%=dateofentry%></TD>
																			<TD style="WIDTH: 7%">
																				<% if (conid == 1) { %>
																					<INPUT class=radio checked name="optpolicy<%=i%>" title="Make this email address 'pre-approved'. All email from this sender is welcome." type="radio" value=1>P<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'spam' and reject all subsequent emails from this sender" type="radio" value=2>S
																				<% } else if(conid == 2) { %>
																					<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'pre-approved'. All email from this sender is welcome." type="radio" value=1>P<INPUT class=radio checked name="optpolicy<%=i%>" title="Make this email address 'spam' and reject all subsequent emails from this sender" type="radio" value=2>S
																				<% } %>
																			</TD>
																			<TD style="WIDTH: 11%">
																				<% if (Integer.parseInt(approvalid) ==1){ %>
																					<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio checked  value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio  value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio  value=3>S
																				<% } else if (Integer.parseInt(approvalid) ==2) { %>
																					<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio  value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio checked value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio value=3>S
																				<% } else if (Integer.parseInt(approvalid) ==3) { %>
																					<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio checked value=3>S
																				<% } %>
																			</TD>
																			<TD style="WIDTH: 7%" align=middle><INPUT class=chbox type=checkbox value=<%= aslid %> name=chkdelete></TD>
																		</TR>
<%
																	}
%>
																	<% allrecords = Integer.parseInt(countasl); %>
																	</server:serverdashboard>
																	<tr class='footer' align='Right' style='font-weight:bold;'>
																		<td colspan='7' >
																			<utility:paging totalrecords="<%=allrecords%>" minpage="<%=allminpage%>" min="<%=allmin%>" pagingtype="all" 
																			txtNumRec="<%=NumRec%>"/>
																		</td>
																	</tr>
																</TBODY>
															</TABLE>
															<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
																<TBODY>
																	<TR>
																		<TD align=middle height=7></TD>
																	</TR>
																	<TR>
																		<TD vAlign=top align=middle height=20><font size=2 color=red><%=message%></font><BR></TD>
																	</TR>
																	<TR>
																		<TD align=middle><INPUT class=btn id=Grid1_cmdSave type=submit value="Save Changes" name=cmdsave onclick="submitUpdate(); return false">&nbsp;<INPUT class=btn id=Grid1_cmdDelete type=submit value="Delete Checked" name=cmddelete onclick="submitDelete(); return false"></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
			<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
				<TBODY>
					<TR>
						<TD width="100%" bgColor=black colSpan=2 height=1></TD>
					</TR>
					<TR>
						<TD colSpan=2 width="100%">&nbsp;</TD>
					</TR>
					<TR>
						<TD align=middle class=footer colSpan=2 width="100%"><%@ include file= "includes/footer.htm" %></TD>
					</TR>
				</TBODY>
			</TABLE>
			<INPUT type=hidden name=txtcount value=<%=i%>>
		</FORM>
	</BODY>
</HTML>
<%
}
%>