<%
/********************************************************************************/
/* Name			:usersettings.jsp												*/
/* Copyright	:2005 DATA INFOCOM LIT.											*/
/* Team			:Spam Control Team												*/
/* Developer	:Kishan Kumar Meena												*/
/* Last Updated	:10.56 AM 13/02/2006											*/
/* Abstract		:Show User's Settings											*/
/* Called from	:dashboardlogin.jsp												*/
/* Calls		:																*/
/********************************************************************************/
%>
<%@ page language="java" %>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<jsp:useBean id="user" scope="session" class="com.antispam.User" />
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication" />
<%
int loginuserid = validate.getUserid();
if(loginuserid == 0)
{
	response.sendRedirect("dashboardlogin.jsp");
}
else
{
	int userid = 0;
	int tempuserid = validate.getTempuserid();

	if(tempuserid == 0)
		userid = loginuserid;
	else 
		userid = tempuserid;


	int adminid = validate.getAdminid();

	int logindomainid = validate.getDomainid();
	int domainid = 0;
	int tempdomainid = validate.getTempdomainid();
	if(tempdomainid == 0)
		domainid = logindomainid;
	else
		domainid = tempdomainid;

	String txtemail ="";
	String message = "";
	String txtema  ="";
	if(request.getParameter("msg") != null)
		message = "User's Settings Modified Successfully";

%>
<spam:UserInfo userid="<%= userid %>">
  <% txtemail = username +"@"+domainname; %>
  <% txtema = "@"+domainname; %>
</spam:UserInfo>
<jsp:setProperty name="user" property="flag" value="UPDATE" />
<jsp:setProperty name="user" property="domainid" value="<%=domainid%>" />
<jsp:setProperty name="user" property="txtemail" value="<%=txtemail%>" />
<%
user.validateCustomer(); 
String carboncopy = user.getTxtCarbonCopy();
String alternateemail = user.getTxtAlternateEmail();
String alternateeto = user.getTxtAlternateto();
String  comment  = user.getTxtcomments();
						
if( comment == null || comment.equals(""))
	comment = "";
if(carboncopy == null || carboncopy.equals("null"))
	carboncopy = "";
if(alternateemail == null || alternateemail.equals("null"))
	alternateemail = "";
if(alternateeto == null || alternateeto.equals("null"))
	alternateeto = "";
%>

<HTML>
	<HEAD>
		<TITLE>Edit User Settings</TITLE>
		<LINK href="stylesheets/display_control.css" rel=stylesheet type=text/css>
	</HEAD>
	<SCRIPT language=javascript src="scripts/web_uivalidation.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/validate.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/validations.js"></SCRIPT>
	<script> 
		


		function chkfield()
		{
			
			document.frmusersettings.txtfname.value=trim(document.frmusersettings.txtfname.value);
			document.frmusersettings.txtlname.value=trim(document.frmusersettings.txtlname.value);
			
			if(document.frmusersettings.sendalsochallenge.checked==true)
				document.frmusersettings.hidsendalsochallenge.value='Y';
			else
				document.frmusersettings.hidsendalsochallenge.value='N';

			
			if(document.frmusersettings.txtfname.value=="")
			{
				alert("Enter Your First Name");
				document.frmusersettings.txtfname.focus();
				return false;
			}
			else if(spcharvalidate(document.frmusersettings.txtfname.value,"")==true)	
			{
				alert("Speacial character found");
				document.frmusersettings.txtfname.focus();
				return false;
			}	
			else if(document.frmusersettings.txtlname.value=="")
			{
				alert("Enter Your Last Name");
				document.frmusersettings.txtlname.focus();
				return false;
			}
			else if(spcharvalidate(document.frmusersettings.txtlname.value,"")==true)
			{
				alert("Speacial character found");
				document.frmusersettings.txtlname.focus();
				return false;
			}
			
			else if(document.frmusersettings.txtsubject.value=="")
			{
				alert("Enter Email Subject");
				document.frmusersettings.txtsubject.focus();
				return false;
			}
			else if(document.frmusersettings.txtbody.value=="")
			{
				alert("Enter Email Body");
				document.frmusersettings.txtbody.focus();
				return false;
			}	
			else if(document.frmusersettings.txtchallenge.value=="")
			{
				alert("Enter Challenge WebPage Content");
				document.frmusersettings.txtchallenge.focus();
				return false;
			}
			else if(document.frmusersettings.txtapproval.value=="")
			{
				alert("Enter Approval WebPage Content");
				document.frmusersettings.txtapproval.focus();
				return false;
			}	
			else if(document.frmusersettings.txtalready.value=="")
			{
				alert("Enter Already WebPage Content");
				document.frmusersettings.txtalready.focus();
				return false;
			}	
			else if(document.frmusersettings.txtfailed.value=="")
			{
				alert("Enter Failed WebPage Content");
				document.frmusersettings.txtfailed.focus();
				return false;
			}
			else if(document.frmusersettings.txtCarbonCopy.value != "")
			{
				if(emailcheck(document.frmusersettings.txtCarbonCopy.value)==false)
				{
					document.frmusersettings.txtCarbonCopy.focus();
				}
			}
			
			
			if(document.frmusersettings.chkpassiveflag.checked == true)

				document.frmusersettings.passiveflag.value = "y";
				else
				document.frmusersettings.passiveflag.value = "n";

			if(document.frmusersettings.chkAdditional.checked == true)
			{
				if(document.frmusersettings.checkfwdmail[0].checked == false && document.frmusersettings.checkfwdmail[1].checked == false)
				{
					alert("Please select a option.");
					return false;
				}

				if(document.frmusersettings.checkfwdmail[0].checked == false)
					document.frmusersettings.txtAlternateto.value = "";
				else
				{
					if(document.frmusersettings.txtAlternateto.value == "")
					{
						alert("Please Enter A Address");
						document.frmusersettings.txtAlternateto.focus();
						return false;
					}
				}
				
					
				if(document.frmusersettings.checkfwdmail[1].checked == true)
					document.frmusersettings.quaranstatus.value = "y";
				else
					document.frmusersettings.quaranstatus.value = "n";

			}
			else
			{
				document.frmusersettings.quaranstatus.value = "n";
				document.frmusersettings.txtAlternateto.value = "";
			}
	
			 if(document.frmusersettings.txtAlternateEmail.value != "")
			{
				if(emailcheck(document.frmusersettings.txtAlternateEmail.value)==false)
				{
					document.frmusersettings.txtAlternateEmail.focus();
				}
				else
					window.document.frmusersettings.submit();
			}
			else
				window.document.frmusersettings.submit();
		}
		//FUNCTION TO CHECK VALID EMAIL ADDRESS

		function emailcheck(emailStr) 
		{
			var FormData=document.frmusersettings
			var dot=0
			var at2=0
			var at
			var emailPat=/^(.+)@(.+)$/
			var specialChars="\\(\\)<>@,;:\\\\\\\"\\.\\[\\]"
			var validChars="\[^\\s" + specialChars + "\]"
			var quotedUser="(\"[^\"]*\")"
			var ipDomainPat=/^\[(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})\]$/
			var atom=validChars + '+'
			var word="(" + atom + "|" + quotedUser + ")"
			var userPat=new RegExp("^" + word + "(\\." + word + ")*$")
			var domainPat=new RegExp("^" + atom + "(\\." + atom +")*$")
			var matchArray=emailStr.match(emailPat)

			if (matchArray==null) 
			{
				alert("Email address seems incorrect (check @ and .'s)")
				return false
			}
			var user=matchArray[1]
			var domain=matchArray[2]
			if (user.match(userPat)==null) 
			{
				alert("The username doesn't seem to be valid.")
				document.frmusersettings.txtCarbonCopy.focus();
					return false
			}
			var IPArray=domain.match(ipDomainPat)
			if (IPArray!=null) 
			{
				for (var i=1;i<=4;i++) 
				{
					if (IPArray[i]>255)
					{
						alert("Destination IP address is invalid!")
						return false
					}
				}
				return true
			}
			var domainArray=domain.match(domainPat)
			if (domainArray==null) 
			{
				alert("The domain name doesn't seem to be valid.")
				document.frmusersettings.txtCarbonCopy.focus();
				return false
			}

			var atomPat=new RegExp(atom,"g")
			var domArr=domain.match(atomPat)
			var len=domArr.length
			
			if (domArr[domArr.length-1].length<2) 
			{
				alert("Invalid domain, it must be a two letter country or ore more than two letter domain.")
				return false
			}

			if (len<2) 
			{
				var errStr="This address is missing a hostname!"
				alert(errStr)
				return false
			}
		}

		/*function chkdomain()
		{ 
		 if(( x=document.frmusersettings.txtAlternateto.value.indexOf("@"))== -1)
			{
                  alert("domain already have @ sign");
	              document.frmusersettings.txtAlternateto.focus();
	      
			}
		}*/


		function checkstatus()
		{
				
			if(document.frmusersettings.status[1].checked)
			{
				document.frmusersettings.sendalsochallenge.disabled = false;
			}
			else
			{
				document.frmusersettings.sendalsochallenge.disabled = true; 
			}

			if(document.frmusersettings.status[2].checked)
			{
								
				document.frmusersettings.passivestatus[0].disabled = false;
				document.frmusersettings.passivestatus[1].disabled = false;
				document.frmusersettings.checkfwdmail[0].disabled = false;
				document.frmusersettings.checkfwdmail[1].disabled = false;
				document.frmusersettings.chkpassiveflag.disabled = false;
				document.frmusersettings.chkAdditional.disabled = false;
			}
			else
			{
				document.frmusersettings.passivestatus[0].disabled = true;
				document.frmusersettings.passivestatus[1].disabled = true;
				document.frmusersettings.checkfwdmail[0].disabled = true;
				document.frmusersettings.checkfwdmail[1].disabled = true;
				document.frmusersettings.chkpassiveflag.disabled = true;
				document.frmusersettings.chkAdditional.disabled = true;
			}

			if(<%= ! alternateeto.equals("") %>)
			{
				
				document.frmusersettings.checkfwdmail[0].checked = true;
				document.frmusersettings.checkfwdmail[0].disabled = false;
				document.frmusersettings.checkfwdmail[1].disabled = false;	
				document.frmusersettings.txtAlternateto.readOnly= false;
				document.frmusersettings.chkAdditional.checked = true;
				
			}
			else if('<%=user.getQuaranstatus()%>' == 'y')
			{
				
				//document.frmusersettings.checkfwdmail[0].disabled = false;
				//document.frmusersettings.checkfwdmail[1].disabled = false;	
				document.frmusersettings.checkfwdmail[1].checked = true;
				document.frmusersettings.txtAlternateto.readOnly = true;
				document.frmusersettings.chkAdditional.checked = true;
				
			}
			else
			{
				
				document.frmusersettings.checkfwdmail[0].disabled = true;
				document.frmusersettings.checkfwdmail[1].disabled = true;
				document.frmusersettings.txtAlternateto.readOnly = true;
				document.frmusersettings.chkAdditional.checked = false;
			}
		}

		function check()
		{
				document.frmusersettings.txtAlternateto.readOnly= false;
		}

		function check2()
		{
				document.frmusersettings.txtAlternateto.readOnly= true;
		}
		
	function checkAdditional()
	{
		if(document.frmusersettings.chkAdditional.checked == true)
		{
			document.frmusersettings.checkfwdmail[0].disabled = false;
			document.frmusersettings.checkfwdmail[1].disabled = false;
			document.frmusersettings.txtAlternateto.readOnly= false;
		}
		else
		{
			document.frmusersettings.checkfwdmail[0].disabled = true;
			document.frmusersettings.checkfwdmail[1].disabled = true;
			document.frmusersettings.txtAlternateto.readOnly= true;
		}

	}
	</script>

	<BODY onload="checkstatus()">
		<FORM language=javascript method=post name=frmusersettings action="Update.jsp">
			<INPUT type=hidden name=txtemail value="<%= txtemail %>">
			<INPUT type=hidden name=flag value="UPDATE">	
			<INPUT type=hidden name=hidsendalsochallenge>
			<INPUT type=hidden name=hidquarantined>
			<INPUT type=hidden name=flag value="<%=user.getDomainid()%>">
			<INPUT type=hidden name=quaranstatus>
			<INPUT type=hidden name=passiveflag>
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD colSpan=2><!--for the header Image-->
							<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
								<TBODY>
									<TR>
										<TD bgColor=#cecece>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<TD align=left vAlign=top width="52%"><IMG src="images/img.gif" vspace=5 width="470" height="48"></TD>
														<TD align=right vAlign=top width="48%"><IMG src="images/topbar-right.gif" width="229" height="48"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD bgColor=#000000><IMG src="images/1x1.gif" width="1" height="1"></TD>
									</TR>
									<TR>
										<TD align=left bgColor=#007ccd height=37 vAlign=bottom>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
													<% if (adminid == 1) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header_active id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header id=TopBanner_Panel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%">
															<DIV class=header id=TopBanner_ServerPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "servermain.jsp">Server</a></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
													<% } else if (adminid == 2) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header_active id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header id=TopBanner_DomainPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%"></TD>
													<% } else if (adminid == 3) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header_active id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%"></TD>
														<TD width="34%"></TD>
													<% } %>
													</TR>
													<TR>
														<TD colSpan=3>
															<TABLE border=0 cellPadding=2 cellSpacing=0 width="100%">
																<TBODY>
																	<TR class=blanktd>
																		<TD width="90%">
																			<spam:UserInfo userid="<%= loginuserid %>">
																				Logged in as: <%= username %>@<%=domainname%>
																			</spam:UserInfo>
																			<% if (userid != loginuserid) { %>
																				<spam:UserInfo userid="<%= tempuserid %>">
																					<%
																					if (username.equals("0"))
																					{}
																					else
																					{
																					%>
																						and working as: <%= username %>@<%=domainname%>
																					<%
																					}
																					%>
																				</spam:UserInfo>
																			<% } %>
																		</TD>
																		<TD align=right width="10%"><A class=gridrowlink href=javascript:onclick=openHelp('help/UserSettingsHelp.htm') style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A></TD>
																	</TR>
																	<TR>
																<TD bgColor=#330099 colSpan=2></TD>
															</TR>
														</TBODY>
													</TABLE>
												</TD>
											</TR>
										</TBODY>
									</TABLE>
								</TD>
							</TR>
						</TBODY>
					</TABLE>
				</TD>
			</TR>
			<TR>
				<TD class=navbg><!--For the menu--><!--Menu for User-->
					<spam:usermenu showCurrPage="13"></spam:usermenu>
				</TD>
				<TD vAlign=top><!--Main Section-->
					<TABLE border=0 cellPadding=0 cellSpacing=2 width="100%">
						<TBODY>
							<TR class=2nd_grid_head>
								<TD width="100%">Edit User Settings</TD>
							</TR>
							<TR>
								<TD width="100%">
									<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
										<TBODY>
											<TR class=generalbody-gray>
												<TD vAlign=top width="20%">First Name:</TD>
												<TD><INPUT class=textinpt id=txtFName maxLength=50 name=txtfname style="WIDTH: 250px" size="20" value="<%= user.getTxtfname() %>"></TD>
											</TR>
											<TR class=generalbody>
												<TD height=25 vAlign=top>Last Name:</TD>
												<TD height=25><INPUT class=textinpt id=txtLName maxLength=50 name=txtlname style="WIDTH: 250px" size="20" value="<%= user.getTxtlname() %>"></TD>
											</TR>
											<TR class=generalbody-gray>
												<TD vAlign=top>Internet Email <BR>Address:</TD>
												<TD><B><SPAN id=lbEmail style="WIDTH: 250px"><%=txtemail%></SPAN></B></TD>
											</TR>
											<TR class=generalbody>
												<TD vAlign=top width="30%">Forward all email to this <BR>address:</TD>
												<TD vAlign=top width="70%"><INPUT class=textInpt id=taSubject0 maxLength=255 name=txtCarbonCopy style="WIDTH: 250px" size="20" value="<%= carboncopy %>"></TD>
											</TR>
										<TR class=generalbody-gray>
											<TD vAlign=top width="30%">Alternate FROM email <BR>address:</TD>
											<TD vAlign=top width="70%"><INPUT class=textInpt id=taSubject0 maxLength=255 name=txtAlternateEmail style="WIDTH: 250px" size="20" value="<%= alternateemail %>"></TD>
											</TR>
											<TR class=generalbody>
											<TD vAlign=top width="30%">&nbsp;</TD>
										<TD vAlign=top width="70%">Enter the FROM email address you prefer to display on your Challenge emails instead of the system default, "Internet Email Address" above.</TD>
											</TR>
											<DIV id=pnladmin></DIV>
											<TR class=generalbody-gray>
												<% if (adminid == 1) { %>
													<TD vAlign=top>Authority:</TD>
													<TD>
														<INPUT id=rdAdminU name=adminid type=radio value=3>
														<LABEL for=rdAdminU>Normal User</LABEL>
														<INPUT id=rdAdminD name=adminid type=radio value=2>
														<LABEL for=rdAdminD>Domain Administrator</LABEL>
														<INPUT id=rdAdminA name=adminid type=radio value=1>
														<LABEL for=rdAdminA>Server Administrator</LABEL>
													</TD>
													<script>
														if(<%=user.getAdminid()%> == 3)
															document.frmusersettings.adminid[0].checked = true;
														else if(<%=user.getAdminid()%> == 2)
															document.frmusersettings.adminid[1].checked = true;
														else if(<%=user.getAdminid()%> == 1)
															document.frmusersettings.adminid[2].checked = true;
													</script>
												<% } else if (adminid == 2)	{ %>
													<TD vAlign=top>Authority</TD>
													<TD>
														<INPUT id=rdAdminU name=adminid type=radio value=3>
														<LABEL for=rdAdminU>Normal User</LABEL>
														<INPUT id=rdAdminD name=adminid type=radio value=2>
														<LABEL for=rdAdminD>Domain Administrator</LABEL>
													</TD>
													<script>
														if(<%=user.getAdminid()%> == 3)
															document.frmusersettings.adminid[0].checked = true;
														else if(<%=user.getAdminid()%> == 2)
															document.frmusersettings.adminid[1].checked = true;
													</script>
												<% } else if (adminid == 3) { %>
													<INPUT type=hidden name=adminid value=3>
												<% } %>
											</TR>
											<DIV></DIV>
											<TR class=generalbody>
												<TD vAlign=top>Auto Approve<BR>on CC:</TD>
												<TD>If someone from my organization (domain) sends an email 
													that includes my address on the TO or CC line, all the 
													recipients are pre-approved to send me a reply or subsequent 
													email. <BR><BR>
													<INPUT id=rdApproveY name=approve type=radio value=1>
													<LABEL for=rdApproveY>Yes</LABEL>
													<INPUT id=rdApproveN name=approve type=radio value=0>
													<LABEL for=rdApproveN>No</LABEL> 
												</TD>
												<script>
													if(<%=user.getApprove()%> == 1)
														document.frmusersettings.approve[0].checked = true;
													else if(<%=user.getApprove()%> == 0)
														document.frmusersettings.approve[1].checked = true;
												</script>
											</TR>
											<TR class=generalbody-gray>
												<TD vAlign=top>Status:</TD>
												<TD>
													<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
														<TBODY>
															<TR class=generalbody-gray>
																<TD><INPUT id=rdStatus1 name=status type=radio value=1 onclick="checkstatus()"></TD>
																<TD>Active: Unknown senders must validate themselves in order to send email to me</TD>
															</TR>
															<TR class=generalbody-gray>
																<TD><INPUT id=rdStatus5 name=status type=radio value=5 onclick="checkstatus()"></TD>
																<TD>Greylist: Unknown senders will 
																be rejected with a 450 smtp error of
																specified amount of time</TD>
															</TR>
															
																<TR class=generalbody-gray>
																<TD>&nbsp;</TD>
																<TD><INPUT type="checkbox" name= "sendalsochallenge" >Send challenge to unknown sender.</TD>
															</TR>
															<TR class=generalbody-gray>
																<TD><INPUT id=rdStatus2 name=status type=radio value=2 onclick="checkstatus()"></TD>
																<TD>Passive: Accept email from everyone but add '[<%=user.getPassiveText()%>]' to the subject line from unknown senders</TD>
															</TR>
															<TR class=generalbody-gray>
																<TD>&nbsp;</TD>
																<TD><input type="radio" name="passivestatus" value="0">Insert text [<%=user.getPassiveText()%>] to beginning of subject line</TD>
															</TR>
															<TR class=generalbody-gray>
																<TD>&nbsp;</TD>
																<TD><input type="radio" name="passivestatus" value="1">Append text [<%=user.getPassiveText()%>] to end of subject line</TD>
															</TR>
															
															<TR class=generalbody-gray>
																<TD>&nbsp;</TD>
																<TD><INPUT type="checkbox" name= "chkpassiveflag" value="2">Send Challange Mail.</TD>
															</TR>
															
															<TR class=generalbody-gray>
																<TD>&nbsp;</TD>
																<TD>
																<fieldset style="padding: 2"><legend>
																<INPUT type="checkbox" name= "chkAdditional" onclick="checkAdditional()">Additional Action </legend>

																<input type="radio" name="checkfwdmail" value="2" onclick="check()">Forward Unknown Emails To <INPUT class=textInpt  name=txtAlternateto  size="20"  value="<%= alternateeto %>" ><%= txtema %>
																<br><br>
																<INPUT type="radio" name= "checkfwdmail" value="1" onclick="check2()"> Move to Quarantine Folder (Delete mail older then  <%=user.getQuarantinetime()%> days).
																
																</fieldset>
																</TD>
															</TR>

															<TR class=generalbody-gray>
																<TD>&nbsp;</TD>
																<TD>
																</TD>
															</TR>
															<TR class=generalbody-gray>
																<TD><INPUT id=rdStatus3 name=status type=radio  value=3 onclick="checkstatus()"></TD>
																<TD>Silent: Accept all email </TD>
															</TR>
															<TR class=generalbody-gray>
																<TD><INPUT id=rdStatus4 name=status type=radio value=4 onclick="checkstatus()"></TD>
																<TD>Pass Through: Accept all email. Do not add to my white list. </TD>
															</TR>
															

																<script>

																	if(<%=user.getStatus()%> == 1)
																		document.frmusersettings.status[0].checked = true;
																	else if(<%=user.getStatus()%> == 2)
																		document.frmusersettings.status[2].checked = true;
																	else if(<%=user.getStatus()%> == 3)
																		document.frmusersettings.status[3].checked = true;
																	else if(<%=user.getStatus()%> == 4)
																		document.frmusersettings.status[4].checked = true;
																	else if(<%=user.getStatus()%> == 5)
																		document.frmusersettings.status[1].checked = true;

																
																	if(<%=user.getPassivestatus()%> == 1)
																		document.frmusersettings.passivestatus[1].checked = true;
																	else
																		document.frmusersettings.passivestatus[0].checked = true;

																		if('<%=user.getHidsendalsochallenge()%>' == 'Y')
																		document.frmusersettings.sendalsochallenge.checked = true;
																	else
																		document.frmusersettings.sendalsochallenge.checked = false;

																	document.frmusersettings.txtAlternateto.readOnly= true;

																	
																	
																	if('<%=user.getPassiveflag()%>' == 'y')
																	{
																		document.frmusersettings.chkpassiveflag.checked = true;
																	}
																		
																</script>
														</TBODY>
													</TABLE>
												</TD>
											</TR>
											<TR class=generalbody>
												<TD vAlign=top>Keymails display on <br>incoming email:</TD>
												<TD>
													<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%" id="AutoNumber1" height="57">
														<tr class=generalbody>
															<td width="5%" height="19"><input type="radio" name="keymails" value="0"></td>
															<td width="95%" height="19">Insert: Insert keymail to the beginning of the subject line email to me</td>
														</tr>
														<tr class=generalbody>
															<td width="5%" height="19"><input type="radio" name="keymails" value="1"></td>
															<td width="95%" height="19">Append: Append keymail to the end of the subject line</td>
														</tr>
														<tr class=generalbody>
															<td width="5%" height="19"><input type="radio" name="keymails" value="2"></td>
															<td width="95%" height="19">Do not put email to subject line</td>
														</tr>
													</table>
													<script>
														if(<%=user.getKeymails()%> == 1)
															document.frmusersettings.keymails[1].checked = true;
														else if(<%=user.getKeymails()%> == 2)
															document.frmusersettings.keymails[2].checked = true;
														else
															document.frmusersettings.keymails[0].checked = true;			
													</script>
                                                </TD>
											</TR>
											<TR class=generalbody-gray>
												<TD vAlign=top>Handling email sent with a <br>KeyMail as your FROM <br> address:<br><br></TD>
												<TD>
													<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%" id="AutoNumber2">
														<tr class=generalbody-gray>
															<td width="5%" rowspan="2" height="22" valign=top>Keymail Expired</td>
															<td width="5%" height="22"><input type="radio" name="allwd_exp_keymails" value="0"></td>
															<td width="90%" height="22">Do not allow me to send emails using Expired keymails</td>
														</tr>
														<tr class=generalbody-gray>
															<td width="5%" height="22"><input type="radio" name="allwd_exp_keymails" value="1"></td>
															<td width="90%" height="22">Allow me to send emails using Expired keymails </td>
														</tr>
														<tr class=generalbody-gray>
															<td width="5%" rowspan="2" height="22" valign=top>Keymail Limited</td>
															<td width="5%" height="22"><input type="radio" name="allwd_lmt_keymails" value="0"></td>
															<td width="90%" height="22">Do not allow me to send emails using limited keymails (when limit has reached)</td>
														</tr>
														<tr class=generalbody-gray>
															<td width="5%" height="22"><input type="radio" name="allwd_lmt_keymails" value="1"></td>
															<td width="90%" height="22">Allow me to send emails using limited keymails (when limit has reached)</td>
														</tr>
														<tr class=generalbody-gray>
															<td width="5%" rowspan="2" height="22" valign=top>Keymail Disabled</td>
															<td width="5%" height="22"><input type="radio" name="allwd_dsb_keymails" value="0"></td>
															<td width="90%" height="22">Do not allow me to send email using disabled keymails</td>
														</tr>
														<tr class=generalbody-gray>
															<td width="5%" height="22"><input type="radio" name="allwd_dsb_keymails" value="1"></td>
															<td width="90%" height="22">Allow me to send email using disabled keymails</td>
														</tr>
													</table>
													<script>
														document.frmusersettings.allwd_exp_keymails['<%=user.getAllwd_exp_keymails()%>'].checked = true;
														document.frmusersettings.allwd_lmt_keymails['<%=user.getAllwd_lmt_keymails()%>'].checked = true;
														document.frmusersettings.allwd_dsb_keymails['<%=user.getAllwd_dsb_keymails()%>'].checked = true;			
													</script>
                                                </TD>
											</TR>
											<TR class=generalbody>
												<TD vAlign=top>Subject to include on<br>Challenge emails:</TD>
												<TD><INPUT class=textInpt id=taSubject maxLength=255 name=txtsubject style="WIDTH: 380px" size="20" value="<%= user.getTxtsubject() %>"></TD>
											</TR>
											<TR class=generalbody-gray>
												<TD vAlign=top>Body Content to include on <br>Challenge Emails:</TD>
												<TD><TEXTAREA class=txtArea id=taBody name=txtbody  rows=5 style="WIDTH: 380px" cols="20"><%= user.getTxtbody()%></TEXTAREA></TD>
											</TR>
											<TR class=generalbody>
												<TD vAlign=top>Challenge WebPage Contents:</TD>
												<TD><TEXTAREA class=txtArea id=taChallenge name=txtchallenge rows=5 style="WIDTH: 380px" cols="20"><%= user.getTxtchallenge() %></TEXTAREA></TD>
											</TR>
											<TR class=generalbody-gray>
												<TD vAlign=top>Approval WebPage Contents:</TD>
												<TD><TEXTAREA class=txtArea id=taApproval name=txtapproval  rows=5 style="WIDTH: 380px" cols="20"><%= user.getTxtapproval() %></TEXTAREA></TD>
											</TR>
											<TR class=generalbody>
												<TD vAlign=top>Content to display if user is <br>already in your pre-approved<br> list:</TD>
												<TD><TEXTAREA class=txtArea id=taAlready name=txtalready  rows=5 style="WIDTH: 380px" cols="20"><%= user.getTxtalready() %></TEXTAREA></TD>
											</TR>
											<TR class=generalbody-gray>
												<TD vAlign=top>Failed WebPage Contents:</TD>
												<TD><TEXTAREA class=txtArea id=taFailed name=txtfailed  rows=5 style="WIDTH: 380px" cols="20"><%= user.getTxtfailed() %></TEXTAREA></TD>
											</TR>
											<TR class=generalbody>
												<TD vAlign=top>Comments:</TD>
												<TD><TEXTAREA class=txtArea id=taComments name=txtcomments rows=5 style="WIDTH: 380px" cols="20"><%=comment%></TEXTAREA></TD>
											</TR>
											<TR>
												<TD height=31></TD>
												<TD height=31><BR><SPAN class=errMsg id=LblErr><%=message%></SPAN></TD>
											</TR>
											<TR class=generalbody-gray>
												<TD></TD>
												<TD><BR>
													<INPUT type= "button" class=btn id=btnSave language=javascript name=btnsave onclick="chkfield();return false" style="WIDTH: 55px"  value=Save>&nbsp; 
													<INPUT class=btn type=reset value=Reset>
												</TD>
											</TR>
										</TBODY>
									</TABLE>
								</TD>
							</TR>
						</TBODY>
					</TABLE>
				</TD>
			</TR>
		</TBODY>
	</TABLE>
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD bgColor=black colSpan=2 height=1 width="100%"></TD>
					</TR>
					<TR>
						<TD colSpan=2 width="100%">&nbsp;</TD>
					</TR>
					<TR>
						<TD align=middle class=footer colSpan=2 width="100%"><%@ include file= "includes/footer.htm" %></TD>
					</TR>
				</TBODY>
			</TABLE>
		</FORM>
	</BODY>
</HTML>
<SCRIPT>
	document.frmusersettings.txtfname.focus();
</SCRIPT>
<%
}
%>